﻿/*
===============================================================================
Author: Haroon Ashraf
Date: 02-Sep-2018   
*******************************************************************************
File:
Setup DimDate.sql
 
Description:
(1) This script creates Date (Dimension) table in a database
(2) This script is based on Date Dimension generated through Analysis Services Multidimensional Project
 
Dependencies/Pre-Conditions:
The script is compatible with SQL Server 2012 and upward version(s)

Note:
The script is free to use and is provided AS IS without warranty of any kind.
*******************************************************************************
** Change History
*******************************************************************************
Date         Author            Description
-----------  -------------    -------------------------------------------------

===============================================================================
*/

CREATE TABLE [dbo].[Date] (
    [Date_Key]              DATETIME      NOT NULL,
    [Date_Name]             NVARCHAR (50) NULL,
    [Year]                  DATETIME      NULL,
    [Year_Name]             NVARCHAR (50) NULL,
    [Quarter]               DATETIME      NULL,
    [Quarter_Name]          NVARCHAR (50) NULL,
    [Month]                 DATETIME      NULL,
    [Month_Name]            NVARCHAR (50) NULL,
    [Day_Of_Year]           INT           NULL,
    [Day_Of_Year_Name]      NVARCHAR (50) NULL,
    [Day_Of_Quarter]        INT           NULL,
    [Day_Of_Quarter_Name]   NVARCHAR (50) NULL,
    [Day_Of_Month]          INT           NULL,
    [Day_Of_Month_Name]     NVARCHAR (50) NULL,
    [Month_Of_Year]         INT           NULL,
    [Month_Of_Year_Name]    NVARCHAR (50) NULL,
    [Month_Of_Quarter]      INT           NULL,
    [Month_Of_Quarter_Name] NVARCHAR (50) NULL,
    [Quarter_Of_Year]       INT           NULL,
    [Quarter_Of_Year_Name]  NVARCHAR (50) NULL
);