﻿/*
===============================================================================
Author: Haroon Ashraf
Date: 02-Sep-2018   
*******************************************************************************
File:
Populate DimDate.sql
 
Description:
(1) This script populates Date (dimension) table 
(2) This script is based on Date Dimension generated through Analysis Services Multidimensoinal Project
  
Dependencies/Pre-Conditions:
This script assumes Date table is aleady created
The script is compatible with SQL Server 2012 and upward version(s)


Note:
The script is free to use and is provided AS IS without warranty of any kind.
*******************************************************************************
** Change History
*******************************************************************************
Date         Author            Description
-----------  -------------    -------------------------------------------------

===============================================================================
*/

-- Populating Date table from 01-Jan-2016 to 31-Dec-2017
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-01-01 00:00:00', N'Friday, January 01 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-01-01 00:00:00', N'January 2016', 1, N'Day 1', 1, N'Day 1', 1, N'Day 1', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-01-02 00:00:00', N'Saturday, January 02 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-01-01 00:00:00', N'January 2016', 2, N'Day 2', 2, N'Day 2', 2, N'Day 2', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-01-03 00:00:00', N'Sunday, January 03 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-01-01 00:00:00', N'January 2016', 3, N'Day 3', 3, N'Day 3', 3, N'Day 3', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-01-04 00:00:00', N'Monday, January 04 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-01-01 00:00:00', N'January 2016', 4, N'Day 4', 4, N'Day 4', 4, N'Day 4', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-01-05 00:00:00', N'Tuesday, January 05 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-01-01 00:00:00', N'January 2016', 5, N'Day 5', 5, N'Day 5', 5, N'Day 5', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-01-06 00:00:00', N'Wednesday, January 06 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-01-01 00:00:00', N'January 2016', 6, N'Day 6', 6, N'Day 6', 6, N'Day 6', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-01-07 00:00:00', N'Thursday, January 07 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-01-01 00:00:00', N'January 2016', 7, N'Day 7', 7, N'Day 7', 7, N'Day 7', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-01-08 00:00:00', N'Friday, January 08 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-01-01 00:00:00', N'January 2016', 8, N'Day 8', 8, N'Day 8', 8, N'Day 8', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-01-09 00:00:00', N'Saturday, January 09 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-01-01 00:00:00', N'January 2016', 9, N'Day 9', 9, N'Day 9', 9, N'Day 9', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-01-10 00:00:00', N'Sunday, January 10 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-01-01 00:00:00', N'January 2016', 10, N'Day 10', 10, N'Day 10', 10, N'Day 10', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-01-11 00:00:00', N'Monday, January 11 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-01-01 00:00:00', N'January 2016', 11, N'Day 11', 11, N'Day 11', 11, N'Day 11', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-01-12 00:00:00', N'Tuesday, January 12 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-01-01 00:00:00', N'January 2016', 12, N'Day 12', 12, N'Day 12', 12, N'Day 12', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-01-13 00:00:00', N'Wednesday, January 13 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-01-01 00:00:00', N'January 2016', 13, N'Day 13', 13, N'Day 13', 13, N'Day 13', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-01-14 00:00:00', N'Thursday, January 14 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-01-01 00:00:00', N'January 2016', 14, N'Day 14', 14, N'Day 14', 14, N'Day 14', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-01-15 00:00:00', N'Friday, January 15 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-01-01 00:00:00', N'January 2016', 15, N'Day 15', 15, N'Day 15', 15, N'Day 15', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-01-16 00:00:00', N'Saturday, January 16 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-01-01 00:00:00', N'January 2016', 16, N'Day 16', 16, N'Day 16', 16, N'Day 16', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-01-17 00:00:00', N'Sunday, January 17 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-01-01 00:00:00', N'January 2016', 17, N'Day 17', 17, N'Day 17', 17, N'Day 17', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-01-18 00:00:00', N'Monday, January 18 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-01-01 00:00:00', N'January 2016', 18, N'Day 18', 18, N'Day 18', 18, N'Day 18', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-01-19 00:00:00', N'Tuesday, January 19 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-01-01 00:00:00', N'January 2016', 19, N'Day 19', 19, N'Day 19', 19, N'Day 19', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-01-20 00:00:00', N'Wednesday, January 20 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-01-01 00:00:00', N'January 2016', 20, N'Day 20', 20, N'Day 20', 20, N'Day 20', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-01-21 00:00:00', N'Thursday, January 21 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-01-01 00:00:00', N'January 2016', 21, N'Day 21', 21, N'Day 21', 21, N'Day 21', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-01-22 00:00:00', N'Friday, January 22 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-01-01 00:00:00', N'January 2016', 22, N'Day 22', 22, N'Day 22', 22, N'Day 22', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-01-23 00:00:00', N'Saturday, January 23 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-01-01 00:00:00', N'January 2016', 23, N'Day 23', 23, N'Day 23', 23, N'Day 23', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-01-24 00:00:00', N'Sunday, January 24 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-01-01 00:00:00', N'January 2016', 24, N'Day 24', 24, N'Day 24', 24, N'Day 24', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-01-25 00:00:00', N'Monday, January 25 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-01-01 00:00:00', N'January 2016', 25, N'Day 25', 25, N'Day 25', 25, N'Day 25', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-01-26 00:00:00', N'Tuesday, January 26 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-01-01 00:00:00', N'January 2016', 26, N'Day 26', 26, N'Day 26', 26, N'Day 26', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-01-27 00:00:00', N'Wednesday, January 27 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-01-01 00:00:00', N'January 2016', 27, N'Day 27', 27, N'Day 27', 27, N'Day 27', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-01-28 00:00:00', N'Thursday, January 28 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-01-01 00:00:00', N'January 2016', 28, N'Day 28', 28, N'Day 28', 28, N'Day 28', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-01-29 00:00:00', N'Friday, January 29 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-01-01 00:00:00', N'January 2016', 29, N'Day 29', 29, N'Day 29', 29, N'Day 29', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-01-30 00:00:00', N'Saturday, January 30 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-01-01 00:00:00', N'January 2016', 30, N'Day 30', 30, N'Day 30', 30, N'Day 30', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-01-31 00:00:00', N'Sunday, January 31 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-01-01 00:00:00', N'January 2016', 31, N'Day 31', 31, N'Day 31', 31, N'Day 31', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-02-01 00:00:00', N'Monday, February 01 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-02-01 00:00:00', N'February 2016', 32, N'Day 32', 32, N'Day 32', 1, N'Day 1', 2, N'Month 2', 2, N'Month 2', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-02-02 00:00:00', N'Tuesday, February 02 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-02-01 00:00:00', N'February 2016', 33, N'Day 33', 33, N'Day 33', 2, N'Day 2', 2, N'Month 2', 2, N'Month 2', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-02-03 00:00:00', N'Wednesday, February 03 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-02-01 00:00:00', N'February 2016', 34, N'Day 34', 34, N'Day 34', 3, N'Day 3', 2, N'Month 2', 2, N'Month 2', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-02-04 00:00:00', N'Thursday, February 04 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-02-01 00:00:00', N'February 2016', 35, N'Day 35', 35, N'Day 35', 4, N'Day 4', 2, N'Month 2', 2, N'Month 2', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-02-05 00:00:00', N'Friday, February 05 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-02-01 00:00:00', N'February 2016', 36, N'Day 36', 36, N'Day 36', 5, N'Day 5', 2, N'Month 2', 2, N'Month 2', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-02-06 00:00:00', N'Saturday, February 06 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-02-01 00:00:00', N'February 2016', 37, N'Day 37', 37, N'Day 37', 6, N'Day 6', 2, N'Month 2', 2, N'Month 2', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-02-07 00:00:00', N'Sunday, February 07 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-02-01 00:00:00', N'February 2016', 38, N'Day 38', 38, N'Day 38', 7, N'Day 7', 2, N'Month 2', 2, N'Month 2', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-02-08 00:00:00', N'Monday, February 08 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-02-01 00:00:00', N'February 2016', 39, N'Day 39', 39, N'Day 39', 8, N'Day 8', 2, N'Month 2', 2, N'Month 2', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-02-09 00:00:00', N'Tuesday, February 09 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-02-01 00:00:00', N'February 2016', 40, N'Day 40', 40, N'Day 40', 9, N'Day 9', 2, N'Month 2', 2, N'Month 2', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-02-10 00:00:00', N'Wednesday, February 10 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-02-01 00:00:00', N'February 2016', 41, N'Day 41', 41, N'Day 41', 10, N'Day 10', 2, N'Month 2', 2, N'Month 2', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-02-11 00:00:00', N'Thursday, February 11 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-02-01 00:00:00', N'February 2016', 42, N'Day 42', 42, N'Day 42', 11, N'Day 11', 2, N'Month 2', 2, N'Month 2', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-02-12 00:00:00', N'Friday, February 12 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-02-01 00:00:00', N'February 2016', 43, N'Day 43', 43, N'Day 43', 12, N'Day 12', 2, N'Month 2', 2, N'Month 2', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-02-13 00:00:00', N'Saturday, February 13 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-02-01 00:00:00', N'February 2016', 44, N'Day 44', 44, N'Day 44', 13, N'Day 13', 2, N'Month 2', 2, N'Month 2', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-02-14 00:00:00', N'Sunday, February 14 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-02-01 00:00:00', N'February 2016', 45, N'Day 45', 45, N'Day 45', 14, N'Day 14', 2, N'Month 2', 2, N'Month 2', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-02-15 00:00:00', N'Monday, February 15 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-02-01 00:00:00', N'February 2016', 46, N'Day 46', 46, N'Day 46', 15, N'Day 15', 2, N'Month 2', 2, N'Month 2', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-02-16 00:00:00', N'Tuesday, February 16 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-02-01 00:00:00', N'February 2016', 47, N'Day 47', 47, N'Day 47', 16, N'Day 16', 2, N'Month 2', 2, N'Month 2', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-02-17 00:00:00', N'Wednesday, February 17 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-02-01 00:00:00', N'February 2016', 48, N'Day 48', 48, N'Day 48', 17, N'Day 17', 2, N'Month 2', 2, N'Month 2', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-02-18 00:00:00', N'Thursday, February 18 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-02-01 00:00:00', N'February 2016', 49, N'Day 49', 49, N'Day 49', 18, N'Day 18', 2, N'Month 2', 2, N'Month 2', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-02-19 00:00:00', N'Friday, February 19 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-02-01 00:00:00', N'February 2016', 50, N'Day 50', 50, N'Day 50', 19, N'Day 19', 2, N'Month 2', 2, N'Month 2', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-02-20 00:00:00', N'Saturday, February 20 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-02-01 00:00:00', N'February 2016', 51, N'Day 51', 51, N'Day 51', 20, N'Day 20', 2, N'Month 2', 2, N'Month 2', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-02-21 00:00:00', N'Sunday, February 21 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-02-01 00:00:00', N'February 2016', 52, N'Day 52', 52, N'Day 52', 21, N'Day 21', 2, N'Month 2', 2, N'Month 2', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-02-22 00:00:00', N'Monday, February 22 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-02-01 00:00:00', N'February 2016', 53, N'Day 53', 53, N'Day 53', 22, N'Day 22', 2, N'Month 2', 2, N'Month 2', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-02-23 00:00:00', N'Tuesday, February 23 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-02-01 00:00:00', N'February 2016', 54, N'Day 54', 54, N'Day 54', 23, N'Day 23', 2, N'Month 2', 2, N'Month 2', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-02-24 00:00:00', N'Wednesday, February 24 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-02-01 00:00:00', N'February 2016', 55, N'Day 55', 55, N'Day 55', 24, N'Day 24', 2, N'Month 2', 2, N'Month 2', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-02-25 00:00:00', N'Thursday, February 25 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-02-01 00:00:00', N'February 2016', 56, N'Day 56', 56, N'Day 56', 25, N'Day 25', 2, N'Month 2', 2, N'Month 2', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-02-26 00:00:00', N'Friday, February 26 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-02-01 00:00:00', N'February 2016', 57, N'Day 57', 57, N'Day 57', 26, N'Day 26', 2, N'Month 2', 2, N'Month 2', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-02-27 00:00:00', N'Saturday, February 27 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-02-01 00:00:00', N'February 2016', 58, N'Day 58', 58, N'Day 58', 27, N'Day 27', 2, N'Month 2', 2, N'Month 2', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-02-28 00:00:00', N'Sunday, February 28 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-02-01 00:00:00', N'February 2016', 59, N'Day 59', 59, N'Day 59', 28, N'Day 28', 2, N'Month 2', 2, N'Month 2', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-02-29 00:00:00', N'Monday, February 29 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-02-01 00:00:00', N'February 2016', 60, N'Day 60', 60, N'Day 60', 29, N'Day 29', 2, N'Month 2', 2, N'Month 2', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-03-01 00:00:00', N'Tuesday, March 01 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-03-01 00:00:00', N'March 2016', 61, N'Day 61', 61, N'Day 61', 1, N'Day 1', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-03-02 00:00:00', N'Wednesday, March 02 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-03-01 00:00:00', N'March 2016', 62, N'Day 62', 62, N'Day 62', 2, N'Day 2', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-03-03 00:00:00', N'Thursday, March 03 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-03-01 00:00:00', N'March 2016', 63, N'Day 63', 63, N'Day 63', 3, N'Day 3', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-03-04 00:00:00', N'Friday, March 04 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-03-01 00:00:00', N'March 2016', 64, N'Day 64', 64, N'Day 64', 4, N'Day 4', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-03-05 00:00:00', N'Saturday, March 05 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-03-01 00:00:00', N'March 2016', 65, N'Day 65', 65, N'Day 65', 5, N'Day 5', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-03-06 00:00:00', N'Sunday, March 06 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-03-01 00:00:00', N'March 2016', 66, N'Day 66', 66, N'Day 66', 6, N'Day 6', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-03-07 00:00:00', N'Monday, March 07 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-03-01 00:00:00', N'March 2016', 67, N'Day 67', 67, N'Day 67', 7, N'Day 7', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-03-08 00:00:00', N'Tuesday, March 08 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-03-01 00:00:00', N'March 2016', 68, N'Day 68', 68, N'Day 68', 8, N'Day 8', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-03-09 00:00:00', N'Wednesday, March 09 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-03-01 00:00:00', N'March 2016', 69, N'Day 69', 69, N'Day 69', 9, N'Day 9', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-03-10 00:00:00', N'Thursday, March 10 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-03-01 00:00:00', N'March 2016', 70, N'Day 70', 70, N'Day 70', 10, N'Day 10', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-03-11 00:00:00', N'Friday, March 11 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-03-01 00:00:00', N'March 2016', 71, N'Day 71', 71, N'Day 71', 11, N'Day 11', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-03-12 00:00:00', N'Saturday, March 12 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-03-01 00:00:00', N'March 2016', 72, N'Day 72', 72, N'Day 72', 12, N'Day 12', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-03-13 00:00:00', N'Sunday, March 13 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-03-01 00:00:00', N'March 2016', 73, N'Day 73', 73, N'Day 73', 13, N'Day 13', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-03-14 00:00:00', N'Monday, March 14 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-03-01 00:00:00', N'March 2016', 74, N'Day 74', 74, N'Day 74', 14, N'Day 14', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-03-15 00:00:00', N'Tuesday, March 15 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-03-01 00:00:00', N'March 2016', 75, N'Day 75', 75, N'Day 75', 15, N'Day 15', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-03-16 00:00:00', N'Wednesday, March 16 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-03-01 00:00:00', N'March 2016', 76, N'Day 76', 76, N'Day 76', 16, N'Day 16', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-03-17 00:00:00', N'Thursday, March 17 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-03-01 00:00:00', N'March 2016', 77, N'Day 77', 77, N'Day 77', 17, N'Day 17', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-03-18 00:00:00', N'Friday, March 18 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-03-01 00:00:00', N'March 2016', 78, N'Day 78', 78, N'Day 78', 18, N'Day 18', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-03-19 00:00:00', N'Saturday, March 19 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-03-01 00:00:00', N'March 2016', 79, N'Day 79', 79, N'Day 79', 19, N'Day 19', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-03-20 00:00:00', N'Sunday, March 20 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-03-01 00:00:00', N'March 2016', 80, N'Day 80', 80, N'Day 80', 20, N'Day 20', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-03-21 00:00:00', N'Monday, March 21 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-03-01 00:00:00', N'March 2016', 81, N'Day 81', 81, N'Day 81', 21, N'Day 21', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-03-22 00:00:00', N'Tuesday, March 22 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-03-01 00:00:00', N'March 2016', 82, N'Day 82', 82, N'Day 82', 22, N'Day 22', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-03-23 00:00:00', N'Wednesday, March 23 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-03-01 00:00:00', N'March 2016', 83, N'Day 83', 83, N'Day 83', 23, N'Day 23', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-03-24 00:00:00', N'Thursday, March 24 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-03-01 00:00:00', N'March 2016', 84, N'Day 84', 84, N'Day 84', 24, N'Day 24', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-03-25 00:00:00', N'Friday, March 25 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-03-01 00:00:00', N'March 2016', 85, N'Day 85', 85, N'Day 85', 25, N'Day 25', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-03-26 00:00:00', N'Saturday, March 26 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-03-01 00:00:00', N'March 2016', 86, N'Day 86', 86, N'Day 86', 26, N'Day 26', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-03-27 00:00:00', N'Sunday, March 27 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-03-01 00:00:00', N'March 2016', 87, N'Day 87', 87, N'Day 87', 27, N'Day 27', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-03-28 00:00:00', N'Monday, March 28 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-03-01 00:00:00', N'March 2016', 88, N'Day 88', 88, N'Day 88', 28, N'Day 28', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-03-29 00:00:00', N'Tuesday, March 29 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-03-01 00:00:00', N'March 2016', 89, N'Day 89', 89, N'Day 89', 29, N'Day 29', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-03-30 00:00:00', N'Wednesday, March 30 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-03-01 00:00:00', N'March 2016', 90, N'Day 90', 90, N'Day 90', 30, N'Day 30', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-03-31 00:00:00', N'Thursday, March 31 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-01-01 00:00:00', N'Quarter 1, 2016', N'2016-03-01 00:00:00', N'March 2016', 91, N'Day 91', 91, N'Day 91', 31, N'Day 31', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-04-01 00:00:00', N'Friday, April 01 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-04-01 00:00:00', N'April 2016', 92, N'Day 92', 1, N'Day 1', 1, N'Day 1', 4, N'Month 4', 1, N'Month 1', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-04-02 00:00:00', N'Saturday, April 02 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-04-01 00:00:00', N'April 2016', 93, N'Day 93', 2, N'Day 2', 2, N'Day 2', 4, N'Month 4', 1, N'Month 1', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-04-03 00:00:00', N'Sunday, April 03 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-04-01 00:00:00', N'April 2016', 94, N'Day 94', 3, N'Day 3', 3, N'Day 3', 4, N'Month 4', 1, N'Month 1', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-04-04 00:00:00', N'Monday, April 04 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-04-01 00:00:00', N'April 2016', 95, N'Day 95', 4, N'Day 4', 4, N'Day 4', 4, N'Month 4', 1, N'Month 1', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-04-05 00:00:00', N'Tuesday, April 05 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-04-01 00:00:00', N'April 2016', 96, N'Day 96', 5, N'Day 5', 5, N'Day 5', 4, N'Month 4', 1, N'Month 1', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-04-06 00:00:00', N'Wednesday, April 06 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-04-01 00:00:00', N'April 2016', 97, N'Day 97', 6, N'Day 6', 6, N'Day 6', 4, N'Month 4', 1, N'Month 1', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-04-07 00:00:00', N'Thursday, April 07 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-04-01 00:00:00', N'April 2016', 98, N'Day 98', 7, N'Day 7', 7, N'Day 7', 4, N'Month 4', 1, N'Month 1', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-04-08 00:00:00', N'Friday, April 08 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-04-01 00:00:00', N'April 2016', 99, N'Day 99', 8, N'Day 8', 8, N'Day 8', 4, N'Month 4', 1, N'Month 1', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-04-09 00:00:00', N'Saturday, April 09 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-04-01 00:00:00', N'April 2016', 100, N'Day 100', 9, N'Day 9', 9, N'Day 9', 4, N'Month 4', 1, N'Month 1', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-04-10 00:00:00', N'Sunday, April 10 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-04-01 00:00:00', N'April 2016', 101, N'Day 101', 10, N'Day 10', 10, N'Day 10', 4, N'Month 4', 1, N'Month 1', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-04-11 00:00:00', N'Monday, April 11 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-04-01 00:00:00', N'April 2016', 102, N'Day 102', 11, N'Day 11', 11, N'Day 11', 4, N'Month 4', 1, N'Month 1', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-04-12 00:00:00', N'Tuesday, April 12 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-04-01 00:00:00', N'April 2016', 103, N'Day 103', 12, N'Day 12', 12, N'Day 12', 4, N'Month 4', 1, N'Month 1', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-04-13 00:00:00', N'Wednesday, April 13 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-04-01 00:00:00', N'April 2016', 104, N'Day 104', 13, N'Day 13', 13, N'Day 13', 4, N'Month 4', 1, N'Month 1', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-04-14 00:00:00', N'Thursday, April 14 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-04-01 00:00:00', N'April 2016', 105, N'Day 105', 14, N'Day 14', 14, N'Day 14', 4, N'Month 4', 1, N'Month 1', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-04-15 00:00:00', N'Friday, April 15 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-04-01 00:00:00', N'April 2016', 106, N'Day 106', 15, N'Day 15', 15, N'Day 15', 4, N'Month 4', 1, N'Month 1', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-04-16 00:00:00', N'Saturday, April 16 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-04-01 00:00:00', N'April 2016', 107, N'Day 107', 16, N'Day 16', 16, N'Day 16', 4, N'Month 4', 1, N'Month 1', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-04-17 00:00:00', N'Sunday, April 17 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-04-01 00:00:00', N'April 2016', 108, N'Day 108', 17, N'Day 17', 17, N'Day 17', 4, N'Month 4', 1, N'Month 1', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-04-18 00:00:00', N'Monday, April 18 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-04-01 00:00:00', N'April 2016', 109, N'Day 109', 18, N'Day 18', 18, N'Day 18', 4, N'Month 4', 1, N'Month 1', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-04-19 00:00:00', N'Tuesday, April 19 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-04-01 00:00:00', N'April 2016', 110, N'Day 110', 19, N'Day 19', 19, N'Day 19', 4, N'Month 4', 1, N'Month 1', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-04-20 00:00:00', N'Wednesday, April 20 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-04-01 00:00:00', N'April 2016', 111, N'Day 111', 20, N'Day 20', 20, N'Day 20', 4, N'Month 4', 1, N'Month 1', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-04-21 00:00:00', N'Thursday, April 21 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-04-01 00:00:00', N'April 2016', 112, N'Day 112', 21, N'Day 21', 21, N'Day 21', 4, N'Month 4', 1, N'Month 1', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-04-22 00:00:00', N'Friday, April 22 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-04-01 00:00:00', N'April 2016', 113, N'Day 113', 22, N'Day 22', 22, N'Day 22', 4, N'Month 4', 1, N'Month 1', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-04-23 00:00:00', N'Saturday, April 23 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-04-01 00:00:00', N'April 2016', 114, N'Day 114', 23, N'Day 23', 23, N'Day 23', 4, N'Month 4', 1, N'Month 1', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-04-24 00:00:00', N'Sunday, April 24 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-04-01 00:00:00', N'April 2016', 115, N'Day 115', 24, N'Day 24', 24, N'Day 24', 4, N'Month 4', 1, N'Month 1', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-04-25 00:00:00', N'Monday, April 25 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-04-01 00:00:00', N'April 2016', 116, N'Day 116', 25, N'Day 25', 25, N'Day 25', 4, N'Month 4', 1, N'Month 1', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-04-26 00:00:00', N'Tuesday, April 26 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-04-01 00:00:00', N'April 2016', 117, N'Day 117', 26, N'Day 26', 26, N'Day 26', 4, N'Month 4', 1, N'Month 1', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-04-27 00:00:00', N'Wednesday, April 27 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-04-01 00:00:00', N'April 2016', 118, N'Day 118', 27, N'Day 27', 27, N'Day 27', 4, N'Month 4', 1, N'Month 1', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-04-28 00:00:00', N'Thursday, April 28 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-04-01 00:00:00', N'April 2016', 119, N'Day 119', 28, N'Day 28', 28, N'Day 28', 4, N'Month 4', 1, N'Month 1', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-04-29 00:00:00', N'Friday, April 29 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-04-01 00:00:00', N'April 2016', 120, N'Day 120', 29, N'Day 29', 29, N'Day 29', 4, N'Month 4', 1, N'Month 1', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-04-30 00:00:00', N'Saturday, April 30 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-04-01 00:00:00', N'April 2016', 121, N'Day 121', 30, N'Day 30', 30, N'Day 30', 4, N'Month 4', 1, N'Month 1', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-05-01 00:00:00', N'Sunday, May 01 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-05-01 00:00:00', N'May 2016', 122, N'Day 122', 31, N'Day 31', 1, N'Day 1', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-05-02 00:00:00', N'Monday, May 02 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-05-01 00:00:00', N'May 2016', 123, N'Day 123', 32, N'Day 32', 2, N'Day 2', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-05-03 00:00:00', N'Tuesday, May 03 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-05-01 00:00:00', N'May 2016', 124, N'Day 124', 33, N'Day 33', 3, N'Day 3', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-05-04 00:00:00', N'Wednesday, May 04 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-05-01 00:00:00', N'May 2016', 125, N'Day 125', 34, N'Day 34', 4, N'Day 4', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-05-05 00:00:00', N'Thursday, May 05 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-05-01 00:00:00', N'May 2016', 126, N'Day 126', 35, N'Day 35', 5, N'Day 5', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-05-06 00:00:00', N'Friday, May 06 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-05-01 00:00:00', N'May 2016', 127, N'Day 127', 36, N'Day 36', 6, N'Day 6', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-05-07 00:00:00', N'Saturday, May 07 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-05-01 00:00:00', N'May 2016', 128, N'Day 128', 37, N'Day 37', 7, N'Day 7', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-05-08 00:00:00', N'Sunday, May 08 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-05-01 00:00:00', N'May 2016', 129, N'Day 129', 38, N'Day 38', 8, N'Day 8', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-05-09 00:00:00', N'Monday, May 09 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-05-01 00:00:00', N'May 2016', 130, N'Day 130', 39, N'Day 39', 9, N'Day 9', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-05-10 00:00:00', N'Tuesday, May 10 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-05-01 00:00:00', N'May 2016', 131, N'Day 131', 40, N'Day 40', 10, N'Day 10', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-05-11 00:00:00', N'Wednesday, May 11 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-05-01 00:00:00', N'May 2016', 132, N'Day 132', 41, N'Day 41', 11, N'Day 11', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-05-12 00:00:00', N'Thursday, May 12 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-05-01 00:00:00', N'May 2016', 133, N'Day 133', 42, N'Day 42', 12, N'Day 12', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-05-13 00:00:00', N'Friday, May 13 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-05-01 00:00:00', N'May 2016', 134, N'Day 134', 43, N'Day 43', 13, N'Day 13', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-05-14 00:00:00', N'Saturday, May 14 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-05-01 00:00:00', N'May 2016', 135, N'Day 135', 44, N'Day 44', 14, N'Day 14', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-05-15 00:00:00', N'Sunday, May 15 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-05-01 00:00:00', N'May 2016', 136, N'Day 136', 45, N'Day 45', 15, N'Day 15', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-05-16 00:00:00', N'Monday, May 16 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-05-01 00:00:00', N'May 2016', 137, N'Day 137', 46, N'Day 46', 16, N'Day 16', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-05-17 00:00:00', N'Tuesday, May 17 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-05-01 00:00:00', N'May 2016', 138, N'Day 138', 47, N'Day 47', 17, N'Day 17', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-05-18 00:00:00', N'Wednesday, May 18 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-05-01 00:00:00', N'May 2016', 139, N'Day 139', 48, N'Day 48', 18, N'Day 18', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-05-19 00:00:00', N'Thursday, May 19 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-05-01 00:00:00', N'May 2016', 140, N'Day 140', 49, N'Day 49', 19, N'Day 19', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-05-20 00:00:00', N'Friday, May 20 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-05-01 00:00:00', N'May 2016', 141, N'Day 141', 50, N'Day 50', 20, N'Day 20', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-05-21 00:00:00', N'Saturday, May 21 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-05-01 00:00:00', N'May 2016', 142, N'Day 142', 51, N'Day 51', 21, N'Day 21', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-05-22 00:00:00', N'Sunday, May 22 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-05-01 00:00:00', N'May 2016', 143, N'Day 143', 52, N'Day 52', 22, N'Day 22', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-05-23 00:00:00', N'Monday, May 23 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-05-01 00:00:00', N'May 2016', 144, N'Day 144', 53, N'Day 53', 23, N'Day 23', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-05-24 00:00:00', N'Tuesday, May 24 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-05-01 00:00:00', N'May 2016', 145, N'Day 145', 54, N'Day 54', 24, N'Day 24', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-05-25 00:00:00', N'Wednesday, May 25 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-05-01 00:00:00', N'May 2016', 146, N'Day 146', 55, N'Day 55', 25, N'Day 25', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-05-26 00:00:00', N'Thursday, May 26 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-05-01 00:00:00', N'May 2016', 147, N'Day 147', 56, N'Day 56', 26, N'Day 26', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-05-27 00:00:00', N'Friday, May 27 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-05-01 00:00:00', N'May 2016', 148, N'Day 148', 57, N'Day 57', 27, N'Day 27', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-05-28 00:00:00', N'Saturday, May 28 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-05-01 00:00:00', N'May 2016', 149, N'Day 149', 58, N'Day 58', 28, N'Day 28', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-05-29 00:00:00', N'Sunday, May 29 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-05-01 00:00:00', N'May 2016', 150, N'Day 150', 59, N'Day 59', 29, N'Day 29', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-05-30 00:00:00', N'Monday, May 30 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-05-01 00:00:00', N'May 2016', 151, N'Day 151', 60, N'Day 60', 30, N'Day 30', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-05-31 00:00:00', N'Tuesday, May 31 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-05-01 00:00:00', N'May 2016', 152, N'Day 152', 61, N'Day 61', 31, N'Day 31', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-06-01 00:00:00', N'Wednesday, June 01 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-06-01 00:00:00', N'June 2016', 153, N'Day 153', 62, N'Day 62', 1, N'Day 1', 6, N'Month 6', 3, N'Month 3', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-06-02 00:00:00', N'Thursday, June 02 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-06-01 00:00:00', N'June 2016', 154, N'Day 154', 63, N'Day 63', 2, N'Day 2', 6, N'Month 6', 3, N'Month 3', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-06-03 00:00:00', N'Friday, June 03 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-06-01 00:00:00', N'June 2016', 155, N'Day 155', 64, N'Day 64', 3, N'Day 3', 6, N'Month 6', 3, N'Month 3', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-06-04 00:00:00', N'Saturday, June 04 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-06-01 00:00:00', N'June 2016', 156, N'Day 156', 65, N'Day 65', 4, N'Day 4', 6, N'Month 6', 3, N'Month 3', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-06-05 00:00:00', N'Sunday, June 05 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-06-01 00:00:00', N'June 2016', 157, N'Day 157', 66, N'Day 66', 5, N'Day 5', 6, N'Month 6', 3, N'Month 3', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-06-06 00:00:00', N'Monday, June 06 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-06-01 00:00:00', N'June 2016', 158, N'Day 158', 67, N'Day 67', 6, N'Day 6', 6, N'Month 6', 3, N'Month 3', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-06-07 00:00:00', N'Tuesday, June 07 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-06-01 00:00:00', N'June 2016', 159, N'Day 159', 68, N'Day 68', 7, N'Day 7', 6, N'Month 6', 3, N'Month 3', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-06-08 00:00:00', N'Wednesday, June 08 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-06-01 00:00:00', N'June 2016', 160, N'Day 160', 69, N'Day 69', 8, N'Day 8', 6, N'Month 6', 3, N'Month 3', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-06-09 00:00:00', N'Thursday, June 09 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-06-01 00:00:00', N'June 2016', 161, N'Day 161', 70, N'Day 70', 9, N'Day 9', 6, N'Month 6', 3, N'Month 3', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-06-10 00:00:00', N'Friday, June 10 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-06-01 00:00:00', N'June 2016', 162, N'Day 162', 71, N'Day 71', 10, N'Day 10', 6, N'Month 6', 3, N'Month 3', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-06-11 00:00:00', N'Saturday, June 11 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-06-01 00:00:00', N'June 2016', 163, N'Day 163', 72, N'Day 72', 11, N'Day 11', 6, N'Month 6', 3, N'Month 3', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-06-12 00:00:00', N'Sunday, June 12 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-06-01 00:00:00', N'June 2016', 164, N'Day 164', 73, N'Day 73', 12, N'Day 12', 6, N'Month 6', 3, N'Month 3', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-06-13 00:00:00', N'Monday, June 13 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-06-01 00:00:00', N'June 2016', 165, N'Day 165', 74, N'Day 74', 13, N'Day 13', 6, N'Month 6', 3, N'Month 3', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-06-14 00:00:00', N'Tuesday, June 14 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-06-01 00:00:00', N'June 2016', 166, N'Day 166', 75, N'Day 75', 14, N'Day 14', 6, N'Month 6', 3, N'Month 3', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-06-15 00:00:00', N'Wednesday, June 15 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-06-01 00:00:00', N'June 2016', 167, N'Day 167', 76, N'Day 76', 15, N'Day 15', 6, N'Month 6', 3, N'Month 3', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-06-16 00:00:00', N'Thursday, June 16 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-06-01 00:00:00', N'June 2016', 168, N'Day 168', 77, N'Day 77', 16, N'Day 16', 6, N'Month 6', 3, N'Month 3', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-06-17 00:00:00', N'Friday, June 17 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-06-01 00:00:00', N'June 2016', 169, N'Day 169', 78, N'Day 78', 17, N'Day 17', 6, N'Month 6', 3, N'Month 3', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-06-18 00:00:00', N'Saturday, June 18 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-06-01 00:00:00', N'June 2016', 170, N'Day 170', 79, N'Day 79', 18, N'Day 18', 6, N'Month 6', 3, N'Month 3', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-06-19 00:00:00', N'Sunday, June 19 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-06-01 00:00:00', N'June 2016', 171, N'Day 171', 80, N'Day 80', 19, N'Day 19', 6, N'Month 6', 3, N'Month 3', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-06-20 00:00:00', N'Monday, June 20 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-06-01 00:00:00', N'June 2016', 172, N'Day 172', 81, N'Day 81', 20, N'Day 20', 6, N'Month 6', 3, N'Month 3', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-06-21 00:00:00', N'Tuesday, June 21 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-06-01 00:00:00', N'June 2016', 173, N'Day 173', 82, N'Day 82', 21, N'Day 21', 6, N'Month 6', 3, N'Month 3', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-06-22 00:00:00', N'Wednesday, June 22 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-06-01 00:00:00', N'June 2016', 174, N'Day 174', 83, N'Day 83', 22, N'Day 22', 6, N'Month 6', 3, N'Month 3', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-06-23 00:00:00', N'Thursday, June 23 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-06-01 00:00:00', N'June 2016', 175, N'Day 175', 84, N'Day 84', 23, N'Day 23', 6, N'Month 6', 3, N'Month 3', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-06-24 00:00:00', N'Friday, June 24 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-06-01 00:00:00', N'June 2016', 176, N'Day 176', 85, N'Day 85', 24, N'Day 24', 6, N'Month 6', 3, N'Month 3', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-06-25 00:00:00', N'Saturday, June 25 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-06-01 00:00:00', N'June 2016', 177, N'Day 177', 86, N'Day 86', 25, N'Day 25', 6, N'Month 6', 3, N'Month 3', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-06-26 00:00:00', N'Sunday, June 26 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-06-01 00:00:00', N'June 2016', 178, N'Day 178', 87, N'Day 87', 26, N'Day 26', 6, N'Month 6', 3, N'Month 3', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-06-27 00:00:00', N'Monday, June 27 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-06-01 00:00:00', N'June 2016', 179, N'Day 179', 88, N'Day 88', 27, N'Day 27', 6, N'Month 6', 3, N'Month 3', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-06-28 00:00:00', N'Tuesday, June 28 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-06-01 00:00:00', N'June 2016', 180, N'Day 180', 89, N'Day 89', 28, N'Day 28', 6, N'Month 6', 3, N'Month 3', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-06-29 00:00:00', N'Wednesday, June 29 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-06-01 00:00:00', N'June 2016', 181, N'Day 181', 90, N'Day 90', 29, N'Day 29', 6, N'Month 6', 3, N'Month 3', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-06-30 00:00:00', N'Thursday, June 30 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-04-01 00:00:00', N'Quarter 2, 2016', N'2016-06-01 00:00:00', N'June 2016', 182, N'Day 182', 91, N'Day 91', 30, N'Day 30', 6, N'Month 6', 3, N'Month 3', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-07-01 00:00:00', N'Friday, July 01 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-07-01 00:00:00', N'July 2016', 183, N'Day 183', 1, N'Day 1', 1, N'Day 1', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-07-02 00:00:00', N'Saturday, July 02 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-07-01 00:00:00', N'July 2016', 184, N'Day 184', 2, N'Day 2', 2, N'Day 2', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-07-03 00:00:00', N'Sunday, July 03 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-07-01 00:00:00', N'July 2016', 185, N'Day 185', 3, N'Day 3', 3, N'Day 3', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-07-04 00:00:00', N'Monday, July 04 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-07-01 00:00:00', N'July 2016', 186, N'Day 186', 4, N'Day 4', 4, N'Day 4', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-07-05 00:00:00', N'Tuesday, July 05 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-07-01 00:00:00', N'July 2016', 187, N'Day 187', 5, N'Day 5', 5, N'Day 5', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-07-06 00:00:00', N'Wednesday, July 06 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-07-01 00:00:00', N'July 2016', 188, N'Day 188', 6, N'Day 6', 6, N'Day 6', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-07-07 00:00:00', N'Thursday, July 07 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-07-01 00:00:00', N'July 2016', 189, N'Day 189', 7, N'Day 7', 7, N'Day 7', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-07-08 00:00:00', N'Friday, July 08 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-07-01 00:00:00', N'July 2016', 190, N'Day 190', 8, N'Day 8', 8, N'Day 8', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-07-09 00:00:00', N'Saturday, July 09 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-07-01 00:00:00', N'July 2016', 191, N'Day 191', 9, N'Day 9', 9, N'Day 9', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-07-10 00:00:00', N'Sunday, July 10 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-07-01 00:00:00', N'July 2016', 192, N'Day 192', 10, N'Day 10', 10, N'Day 10', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-07-11 00:00:00', N'Monday, July 11 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-07-01 00:00:00', N'July 2016', 193, N'Day 193', 11, N'Day 11', 11, N'Day 11', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-07-12 00:00:00', N'Tuesday, July 12 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-07-01 00:00:00', N'July 2016', 194, N'Day 194', 12, N'Day 12', 12, N'Day 12', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-07-13 00:00:00', N'Wednesday, July 13 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-07-01 00:00:00', N'July 2016', 195, N'Day 195', 13, N'Day 13', 13, N'Day 13', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-07-14 00:00:00', N'Thursday, July 14 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-07-01 00:00:00', N'July 2016', 196, N'Day 196', 14, N'Day 14', 14, N'Day 14', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-07-15 00:00:00', N'Friday, July 15 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-07-01 00:00:00', N'July 2016', 197, N'Day 197', 15, N'Day 15', 15, N'Day 15', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-07-16 00:00:00', N'Saturday, July 16 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-07-01 00:00:00', N'July 2016', 198, N'Day 198', 16, N'Day 16', 16, N'Day 16', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-07-17 00:00:00', N'Sunday, July 17 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-07-01 00:00:00', N'July 2016', 199, N'Day 199', 17, N'Day 17', 17, N'Day 17', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-07-18 00:00:00', N'Monday, July 18 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-07-01 00:00:00', N'July 2016', 200, N'Day 200', 18, N'Day 18', 18, N'Day 18', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-07-19 00:00:00', N'Tuesday, July 19 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-07-01 00:00:00', N'July 2016', 201, N'Day 201', 19, N'Day 19', 19, N'Day 19', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-07-20 00:00:00', N'Wednesday, July 20 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-07-01 00:00:00', N'July 2016', 202, N'Day 202', 20, N'Day 20', 20, N'Day 20', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-07-21 00:00:00', N'Thursday, July 21 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-07-01 00:00:00', N'July 2016', 203, N'Day 203', 21, N'Day 21', 21, N'Day 21', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-07-22 00:00:00', N'Friday, July 22 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-07-01 00:00:00', N'July 2016', 204, N'Day 204', 22, N'Day 22', 22, N'Day 22', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-07-23 00:00:00', N'Saturday, July 23 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-07-01 00:00:00', N'July 2016', 205, N'Day 205', 23, N'Day 23', 23, N'Day 23', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-07-24 00:00:00', N'Sunday, July 24 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-07-01 00:00:00', N'July 2016', 206, N'Day 206', 24, N'Day 24', 24, N'Day 24', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-07-25 00:00:00', N'Monday, July 25 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-07-01 00:00:00', N'July 2016', 207, N'Day 207', 25, N'Day 25', 25, N'Day 25', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-07-26 00:00:00', N'Tuesday, July 26 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-07-01 00:00:00', N'July 2016', 208, N'Day 208', 26, N'Day 26', 26, N'Day 26', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-07-27 00:00:00', N'Wednesday, July 27 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-07-01 00:00:00', N'July 2016', 209, N'Day 209', 27, N'Day 27', 27, N'Day 27', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-07-28 00:00:00', N'Thursday, July 28 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-07-01 00:00:00', N'July 2016', 210, N'Day 210', 28, N'Day 28', 28, N'Day 28', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-07-29 00:00:00', N'Friday, July 29 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-07-01 00:00:00', N'July 2016', 211, N'Day 211', 29, N'Day 29', 29, N'Day 29', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-07-30 00:00:00', N'Saturday, July 30 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-07-01 00:00:00', N'July 2016', 212, N'Day 212', 30, N'Day 30', 30, N'Day 30', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-07-31 00:00:00', N'Sunday, July 31 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-07-01 00:00:00', N'July 2016', 213, N'Day 213', 31, N'Day 31', 31, N'Day 31', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-08-01 00:00:00', N'Monday, August 01 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-08-01 00:00:00', N'August 2016', 214, N'Day 214', 32, N'Day 32', 1, N'Day 1', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-08-02 00:00:00', N'Tuesday, August 02 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-08-01 00:00:00', N'August 2016', 215, N'Day 215', 33, N'Day 33', 2, N'Day 2', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-08-03 00:00:00', N'Wednesday, August 03 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-08-01 00:00:00', N'August 2016', 216, N'Day 216', 34, N'Day 34', 3, N'Day 3', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-08-04 00:00:00', N'Thursday, August 04 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-08-01 00:00:00', N'August 2016', 217, N'Day 217', 35, N'Day 35', 4, N'Day 4', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-08-05 00:00:00', N'Friday, August 05 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-08-01 00:00:00', N'August 2016', 218, N'Day 218', 36, N'Day 36', 5, N'Day 5', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-08-06 00:00:00', N'Saturday, August 06 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-08-01 00:00:00', N'August 2016', 219, N'Day 219', 37, N'Day 37', 6, N'Day 6', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-08-07 00:00:00', N'Sunday, August 07 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-08-01 00:00:00', N'August 2016', 220, N'Day 220', 38, N'Day 38', 7, N'Day 7', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-08-08 00:00:00', N'Monday, August 08 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-08-01 00:00:00', N'August 2016', 221, N'Day 221', 39, N'Day 39', 8, N'Day 8', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-08-09 00:00:00', N'Tuesday, August 09 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-08-01 00:00:00', N'August 2016', 222, N'Day 222', 40, N'Day 40', 9, N'Day 9', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-08-10 00:00:00', N'Wednesday, August 10 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-08-01 00:00:00', N'August 2016', 223, N'Day 223', 41, N'Day 41', 10, N'Day 10', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-08-11 00:00:00', N'Thursday, August 11 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-08-01 00:00:00', N'August 2016', 224, N'Day 224', 42, N'Day 42', 11, N'Day 11', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-08-12 00:00:00', N'Friday, August 12 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-08-01 00:00:00', N'August 2016', 225, N'Day 225', 43, N'Day 43', 12, N'Day 12', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-08-13 00:00:00', N'Saturday, August 13 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-08-01 00:00:00', N'August 2016', 226, N'Day 226', 44, N'Day 44', 13, N'Day 13', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-08-14 00:00:00', N'Sunday, August 14 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-08-01 00:00:00', N'August 2016', 227, N'Day 227', 45, N'Day 45', 14, N'Day 14', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-08-15 00:00:00', N'Monday, August 15 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-08-01 00:00:00', N'August 2016', 228, N'Day 228', 46, N'Day 46', 15, N'Day 15', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-08-16 00:00:00', N'Tuesday, August 16 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-08-01 00:00:00', N'August 2016', 229, N'Day 229', 47, N'Day 47', 16, N'Day 16', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-08-17 00:00:00', N'Wednesday, August 17 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-08-01 00:00:00', N'August 2016', 230, N'Day 230', 48, N'Day 48', 17, N'Day 17', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-08-18 00:00:00', N'Thursday, August 18 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-08-01 00:00:00', N'August 2016', 231, N'Day 231', 49, N'Day 49', 18, N'Day 18', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-08-19 00:00:00', N'Friday, August 19 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-08-01 00:00:00', N'August 2016', 232, N'Day 232', 50, N'Day 50', 19, N'Day 19', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-08-20 00:00:00', N'Saturday, August 20 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-08-01 00:00:00', N'August 2016', 233, N'Day 233', 51, N'Day 51', 20, N'Day 20', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-08-21 00:00:00', N'Sunday, August 21 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-08-01 00:00:00', N'August 2016', 234, N'Day 234', 52, N'Day 52', 21, N'Day 21', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-08-22 00:00:00', N'Monday, August 22 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-08-01 00:00:00', N'August 2016', 235, N'Day 235', 53, N'Day 53', 22, N'Day 22', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-08-23 00:00:00', N'Tuesday, August 23 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-08-01 00:00:00', N'August 2016', 236, N'Day 236', 54, N'Day 54', 23, N'Day 23', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-08-24 00:00:00', N'Wednesday, August 24 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-08-01 00:00:00', N'August 2016', 237, N'Day 237', 55, N'Day 55', 24, N'Day 24', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-08-25 00:00:00', N'Thursday, August 25 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-08-01 00:00:00', N'August 2016', 238, N'Day 238', 56, N'Day 56', 25, N'Day 25', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-08-26 00:00:00', N'Friday, August 26 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-08-01 00:00:00', N'August 2016', 239, N'Day 239', 57, N'Day 57', 26, N'Day 26', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-08-27 00:00:00', N'Saturday, August 27 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-08-01 00:00:00', N'August 2016', 240, N'Day 240', 58, N'Day 58', 27, N'Day 27', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-08-28 00:00:00', N'Sunday, August 28 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-08-01 00:00:00', N'August 2016', 241, N'Day 241', 59, N'Day 59', 28, N'Day 28', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-08-29 00:00:00', N'Monday, August 29 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-08-01 00:00:00', N'August 2016', 242, N'Day 242', 60, N'Day 60', 29, N'Day 29', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-08-30 00:00:00', N'Tuesday, August 30 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-08-01 00:00:00', N'August 2016', 243, N'Day 243', 61, N'Day 61', 30, N'Day 30', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-08-31 00:00:00', N'Wednesday, August 31 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-08-01 00:00:00', N'August 2016', 244, N'Day 244', 62, N'Day 62', 31, N'Day 31', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-09-01 00:00:00', N'Thursday, September 01 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-09-01 00:00:00', N'September 2016', 245, N'Day 245', 63, N'Day 63', 1, N'Day 1', 9, N'Month 9', 3, N'Month 3', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-09-02 00:00:00', N'Friday, September 02 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-09-01 00:00:00', N'September 2016', 246, N'Day 246', 64, N'Day 64', 2, N'Day 2', 9, N'Month 9', 3, N'Month 3', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-09-03 00:00:00', N'Saturday, September 03 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-09-01 00:00:00', N'September 2016', 247, N'Day 247', 65, N'Day 65', 3, N'Day 3', 9, N'Month 9', 3, N'Month 3', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-09-04 00:00:00', N'Sunday, September 04 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-09-01 00:00:00', N'September 2016', 248, N'Day 248', 66, N'Day 66', 4, N'Day 4', 9, N'Month 9', 3, N'Month 3', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-09-05 00:00:00', N'Monday, September 05 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-09-01 00:00:00', N'September 2016', 249, N'Day 249', 67, N'Day 67', 5, N'Day 5', 9, N'Month 9', 3, N'Month 3', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-09-06 00:00:00', N'Tuesday, September 06 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-09-01 00:00:00', N'September 2016', 250, N'Day 250', 68, N'Day 68', 6, N'Day 6', 9, N'Month 9', 3, N'Month 3', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-09-07 00:00:00', N'Wednesday, September 07 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-09-01 00:00:00', N'September 2016', 251, N'Day 251', 69, N'Day 69', 7, N'Day 7', 9, N'Month 9', 3, N'Month 3', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-09-08 00:00:00', N'Thursday, September 08 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-09-01 00:00:00', N'September 2016', 252, N'Day 252', 70, N'Day 70', 8, N'Day 8', 9, N'Month 9', 3, N'Month 3', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-09-09 00:00:00', N'Friday, September 09 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-09-01 00:00:00', N'September 2016', 253, N'Day 253', 71, N'Day 71', 9, N'Day 9', 9, N'Month 9', 3, N'Month 3', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-09-10 00:00:00', N'Saturday, September 10 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-09-01 00:00:00', N'September 2016', 254, N'Day 254', 72, N'Day 72', 10, N'Day 10', 9, N'Month 9', 3, N'Month 3', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-09-11 00:00:00', N'Sunday, September 11 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-09-01 00:00:00', N'September 2016', 255, N'Day 255', 73, N'Day 73', 11, N'Day 11', 9, N'Month 9', 3, N'Month 3', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-09-12 00:00:00', N'Monday, September 12 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-09-01 00:00:00', N'September 2016', 256, N'Day 256', 74, N'Day 74', 12, N'Day 12', 9, N'Month 9', 3, N'Month 3', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-09-13 00:00:00', N'Tuesday, September 13 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-09-01 00:00:00', N'September 2016', 257, N'Day 257', 75, N'Day 75', 13, N'Day 13', 9, N'Month 9', 3, N'Month 3', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-09-14 00:00:00', N'Wednesday, September 14 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-09-01 00:00:00', N'September 2016', 258, N'Day 258', 76, N'Day 76', 14, N'Day 14', 9, N'Month 9', 3, N'Month 3', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-09-15 00:00:00', N'Thursday, September 15 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-09-01 00:00:00', N'September 2016', 259, N'Day 259', 77, N'Day 77', 15, N'Day 15', 9, N'Month 9', 3, N'Month 3', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-09-16 00:00:00', N'Friday, September 16 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-09-01 00:00:00', N'September 2016', 260, N'Day 260', 78, N'Day 78', 16, N'Day 16', 9, N'Month 9', 3, N'Month 3', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-09-17 00:00:00', N'Saturday, September 17 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-09-01 00:00:00', N'September 2016', 261, N'Day 261', 79, N'Day 79', 17, N'Day 17', 9, N'Month 9', 3, N'Month 3', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-09-18 00:00:00', N'Sunday, September 18 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-09-01 00:00:00', N'September 2016', 262, N'Day 262', 80, N'Day 80', 18, N'Day 18', 9, N'Month 9', 3, N'Month 3', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-09-19 00:00:00', N'Monday, September 19 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-09-01 00:00:00', N'September 2016', 263, N'Day 263', 81, N'Day 81', 19, N'Day 19', 9, N'Month 9', 3, N'Month 3', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-09-20 00:00:00', N'Tuesday, September 20 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-09-01 00:00:00', N'September 2016', 264, N'Day 264', 82, N'Day 82', 20, N'Day 20', 9, N'Month 9', 3, N'Month 3', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-09-21 00:00:00', N'Wednesday, September 21 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-09-01 00:00:00', N'September 2016', 265, N'Day 265', 83, N'Day 83', 21, N'Day 21', 9, N'Month 9', 3, N'Month 3', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-09-22 00:00:00', N'Thursday, September 22 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-09-01 00:00:00', N'September 2016', 266, N'Day 266', 84, N'Day 84', 22, N'Day 22', 9, N'Month 9', 3, N'Month 3', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-09-23 00:00:00', N'Friday, September 23 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-09-01 00:00:00', N'September 2016', 267, N'Day 267', 85, N'Day 85', 23, N'Day 23', 9, N'Month 9', 3, N'Month 3', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-09-24 00:00:00', N'Saturday, September 24 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-09-01 00:00:00', N'September 2016', 268, N'Day 268', 86, N'Day 86', 24, N'Day 24', 9, N'Month 9', 3, N'Month 3', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-09-25 00:00:00', N'Sunday, September 25 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-09-01 00:00:00', N'September 2016', 269, N'Day 269', 87, N'Day 87', 25, N'Day 25', 9, N'Month 9', 3, N'Month 3', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-09-26 00:00:00', N'Monday, September 26 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-09-01 00:00:00', N'September 2016', 270, N'Day 270', 88, N'Day 88', 26, N'Day 26', 9, N'Month 9', 3, N'Month 3', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-09-27 00:00:00', N'Tuesday, September 27 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-09-01 00:00:00', N'September 2016', 271, N'Day 271', 89, N'Day 89', 27, N'Day 27', 9, N'Month 9', 3, N'Month 3', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-09-28 00:00:00', N'Wednesday, September 28 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-09-01 00:00:00', N'September 2016', 272, N'Day 272', 90, N'Day 90', 28, N'Day 28', 9, N'Month 9', 3, N'Month 3', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-09-29 00:00:00', N'Thursday, September 29 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-09-01 00:00:00', N'September 2016', 273, N'Day 273', 91, N'Day 91', 29, N'Day 29', 9, N'Month 9', 3, N'Month 3', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-09-30 00:00:00', N'Friday, September 30 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-07-01 00:00:00', N'Quarter 3, 2016', N'2016-09-01 00:00:00', N'September 2016', 274, N'Day 274', 92, N'Day 92', 30, N'Day 30', 9, N'Month 9', 3, N'Month 3', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-10-01 00:00:00', N'Saturday, October 01 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-10-01 00:00:00', N'October 2016', 275, N'Day 275', 1, N'Day 1', 1, N'Day 1', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-10-02 00:00:00', N'Sunday, October 02 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-10-01 00:00:00', N'October 2016', 276, N'Day 276', 2, N'Day 2', 2, N'Day 2', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-10-03 00:00:00', N'Monday, October 03 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-10-01 00:00:00', N'October 2016', 277, N'Day 277', 3, N'Day 3', 3, N'Day 3', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-10-04 00:00:00', N'Tuesday, October 04 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-10-01 00:00:00', N'October 2016', 278, N'Day 278', 4, N'Day 4', 4, N'Day 4', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-10-05 00:00:00', N'Wednesday, October 05 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-10-01 00:00:00', N'October 2016', 279, N'Day 279', 5, N'Day 5', 5, N'Day 5', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-10-06 00:00:00', N'Thursday, October 06 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-10-01 00:00:00', N'October 2016', 280, N'Day 280', 6, N'Day 6', 6, N'Day 6', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-10-07 00:00:00', N'Friday, October 07 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-10-01 00:00:00', N'October 2016', 281, N'Day 281', 7, N'Day 7', 7, N'Day 7', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-10-08 00:00:00', N'Saturday, October 08 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-10-01 00:00:00', N'October 2016', 282, N'Day 282', 8, N'Day 8', 8, N'Day 8', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-10-09 00:00:00', N'Sunday, October 09 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-10-01 00:00:00', N'October 2016', 283, N'Day 283', 9, N'Day 9', 9, N'Day 9', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-10-10 00:00:00', N'Monday, October 10 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-10-01 00:00:00', N'October 2016', 284, N'Day 284', 10, N'Day 10', 10, N'Day 10', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-10-11 00:00:00', N'Tuesday, October 11 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-10-01 00:00:00', N'October 2016', 285, N'Day 285', 11, N'Day 11', 11, N'Day 11', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-10-12 00:00:00', N'Wednesday, October 12 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-10-01 00:00:00', N'October 2016', 286, N'Day 286', 12, N'Day 12', 12, N'Day 12', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-10-13 00:00:00', N'Thursday, October 13 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-10-01 00:00:00', N'October 2016', 287, N'Day 287', 13, N'Day 13', 13, N'Day 13', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-10-14 00:00:00', N'Friday, October 14 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-10-01 00:00:00', N'October 2016', 288, N'Day 288', 14, N'Day 14', 14, N'Day 14', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-10-15 00:00:00', N'Saturday, October 15 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-10-01 00:00:00', N'October 2016', 289, N'Day 289', 15, N'Day 15', 15, N'Day 15', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-10-16 00:00:00', N'Sunday, October 16 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-10-01 00:00:00', N'October 2016', 290, N'Day 290', 16, N'Day 16', 16, N'Day 16', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-10-17 00:00:00', N'Monday, October 17 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-10-01 00:00:00', N'October 2016', 291, N'Day 291', 17, N'Day 17', 17, N'Day 17', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-10-18 00:00:00', N'Tuesday, October 18 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-10-01 00:00:00', N'October 2016', 292, N'Day 292', 18, N'Day 18', 18, N'Day 18', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-10-19 00:00:00', N'Wednesday, October 19 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-10-01 00:00:00', N'October 2016', 293, N'Day 293', 19, N'Day 19', 19, N'Day 19', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-10-20 00:00:00', N'Thursday, October 20 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-10-01 00:00:00', N'October 2016', 294, N'Day 294', 20, N'Day 20', 20, N'Day 20', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-10-21 00:00:00', N'Friday, October 21 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-10-01 00:00:00', N'October 2016', 295, N'Day 295', 21, N'Day 21', 21, N'Day 21', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-10-22 00:00:00', N'Saturday, October 22 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-10-01 00:00:00', N'October 2016', 296, N'Day 296', 22, N'Day 22', 22, N'Day 22', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-10-23 00:00:00', N'Sunday, October 23 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-10-01 00:00:00', N'October 2016', 297, N'Day 297', 23, N'Day 23', 23, N'Day 23', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-10-24 00:00:00', N'Monday, October 24 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-10-01 00:00:00', N'October 2016', 298, N'Day 298', 24, N'Day 24', 24, N'Day 24', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-10-25 00:00:00', N'Tuesday, October 25 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-10-01 00:00:00', N'October 2016', 299, N'Day 299', 25, N'Day 25', 25, N'Day 25', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-10-26 00:00:00', N'Wednesday, October 26 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-10-01 00:00:00', N'October 2016', 300, N'Day 300', 26, N'Day 26', 26, N'Day 26', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-10-27 00:00:00', N'Thursday, October 27 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-10-01 00:00:00', N'October 2016', 301, N'Day 301', 27, N'Day 27', 27, N'Day 27', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-10-28 00:00:00', N'Friday, October 28 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-10-01 00:00:00', N'October 2016', 302, N'Day 302', 28, N'Day 28', 28, N'Day 28', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-10-29 00:00:00', N'Saturday, October 29 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-10-01 00:00:00', N'October 2016', 303, N'Day 303', 29, N'Day 29', 29, N'Day 29', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-10-30 00:00:00', N'Sunday, October 30 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-10-01 00:00:00', N'October 2016', 304, N'Day 304', 30, N'Day 30', 30, N'Day 30', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-10-31 00:00:00', N'Monday, October 31 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-10-01 00:00:00', N'October 2016', 305, N'Day 305', 31, N'Day 31', 31, N'Day 31', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-11-01 00:00:00', N'Tuesday, November 01 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-11-01 00:00:00', N'November 2016', 306, N'Day 306', 32, N'Day 32', 1, N'Day 1', 11, N'Month 11', 2, N'Month 2', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-11-02 00:00:00', N'Wednesday, November 02 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-11-01 00:00:00', N'November 2016', 307, N'Day 307', 33, N'Day 33', 2, N'Day 2', 11, N'Month 11', 2, N'Month 2', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-11-03 00:00:00', N'Thursday, November 03 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-11-01 00:00:00', N'November 2016', 308, N'Day 308', 34, N'Day 34', 3, N'Day 3', 11, N'Month 11', 2, N'Month 2', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-11-04 00:00:00', N'Friday, November 04 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-11-01 00:00:00', N'November 2016', 309, N'Day 309', 35, N'Day 35', 4, N'Day 4', 11, N'Month 11', 2, N'Month 2', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-11-05 00:00:00', N'Saturday, November 05 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-11-01 00:00:00', N'November 2016', 310, N'Day 310', 36, N'Day 36', 5, N'Day 5', 11, N'Month 11', 2, N'Month 2', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-11-06 00:00:00', N'Sunday, November 06 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-11-01 00:00:00', N'November 2016', 311, N'Day 311', 37, N'Day 37', 6, N'Day 6', 11, N'Month 11', 2, N'Month 2', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-11-07 00:00:00', N'Monday, November 07 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-11-01 00:00:00', N'November 2016', 312, N'Day 312', 38, N'Day 38', 7, N'Day 7', 11, N'Month 11', 2, N'Month 2', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-11-08 00:00:00', N'Tuesday, November 08 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-11-01 00:00:00', N'November 2016', 313, N'Day 313', 39, N'Day 39', 8, N'Day 8', 11, N'Month 11', 2, N'Month 2', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-11-09 00:00:00', N'Wednesday, November 09 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-11-01 00:00:00', N'November 2016', 314, N'Day 314', 40, N'Day 40', 9, N'Day 9', 11, N'Month 11', 2, N'Month 2', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-11-10 00:00:00', N'Thursday, November 10 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-11-01 00:00:00', N'November 2016', 315, N'Day 315', 41, N'Day 41', 10, N'Day 10', 11, N'Month 11', 2, N'Month 2', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-11-11 00:00:00', N'Friday, November 11 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-11-01 00:00:00', N'November 2016', 316, N'Day 316', 42, N'Day 42', 11, N'Day 11', 11, N'Month 11', 2, N'Month 2', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-11-12 00:00:00', N'Saturday, November 12 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-11-01 00:00:00', N'November 2016', 317, N'Day 317', 43, N'Day 43', 12, N'Day 12', 11, N'Month 11', 2, N'Month 2', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-11-13 00:00:00', N'Sunday, November 13 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-11-01 00:00:00', N'November 2016', 318, N'Day 318', 44, N'Day 44', 13, N'Day 13', 11, N'Month 11', 2, N'Month 2', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-11-14 00:00:00', N'Monday, November 14 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-11-01 00:00:00', N'November 2016', 319, N'Day 319', 45, N'Day 45', 14, N'Day 14', 11, N'Month 11', 2, N'Month 2', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-11-15 00:00:00', N'Tuesday, November 15 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-11-01 00:00:00', N'November 2016', 320, N'Day 320', 46, N'Day 46', 15, N'Day 15', 11, N'Month 11', 2, N'Month 2', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-11-16 00:00:00', N'Wednesday, November 16 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-11-01 00:00:00', N'November 2016', 321, N'Day 321', 47, N'Day 47', 16, N'Day 16', 11, N'Month 11', 2, N'Month 2', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-11-17 00:00:00', N'Thursday, November 17 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-11-01 00:00:00', N'November 2016', 322, N'Day 322', 48, N'Day 48', 17, N'Day 17', 11, N'Month 11', 2, N'Month 2', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-11-18 00:00:00', N'Friday, November 18 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-11-01 00:00:00', N'November 2016', 323, N'Day 323', 49, N'Day 49', 18, N'Day 18', 11, N'Month 11', 2, N'Month 2', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-11-19 00:00:00', N'Saturday, November 19 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-11-01 00:00:00', N'November 2016', 324, N'Day 324', 50, N'Day 50', 19, N'Day 19', 11, N'Month 11', 2, N'Month 2', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-11-20 00:00:00', N'Sunday, November 20 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-11-01 00:00:00', N'November 2016', 325, N'Day 325', 51, N'Day 51', 20, N'Day 20', 11, N'Month 11', 2, N'Month 2', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-11-21 00:00:00', N'Monday, November 21 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-11-01 00:00:00', N'November 2016', 326, N'Day 326', 52, N'Day 52', 21, N'Day 21', 11, N'Month 11', 2, N'Month 2', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-11-22 00:00:00', N'Tuesday, November 22 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-11-01 00:00:00', N'November 2016', 327, N'Day 327', 53, N'Day 53', 22, N'Day 22', 11, N'Month 11', 2, N'Month 2', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-11-23 00:00:00', N'Wednesday, November 23 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-11-01 00:00:00', N'November 2016', 328, N'Day 328', 54, N'Day 54', 23, N'Day 23', 11, N'Month 11', 2, N'Month 2', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-11-24 00:00:00', N'Thursday, November 24 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-11-01 00:00:00', N'November 2016', 329, N'Day 329', 55, N'Day 55', 24, N'Day 24', 11, N'Month 11', 2, N'Month 2', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-11-25 00:00:00', N'Friday, November 25 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-11-01 00:00:00', N'November 2016', 330, N'Day 330', 56, N'Day 56', 25, N'Day 25', 11, N'Month 11', 2, N'Month 2', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-11-26 00:00:00', N'Saturday, November 26 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-11-01 00:00:00', N'November 2016', 331, N'Day 331', 57, N'Day 57', 26, N'Day 26', 11, N'Month 11', 2, N'Month 2', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-11-27 00:00:00', N'Sunday, November 27 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-11-01 00:00:00', N'November 2016', 332, N'Day 332', 58, N'Day 58', 27, N'Day 27', 11, N'Month 11', 2, N'Month 2', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-11-28 00:00:00', N'Monday, November 28 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-11-01 00:00:00', N'November 2016', 333, N'Day 333', 59, N'Day 59', 28, N'Day 28', 11, N'Month 11', 2, N'Month 2', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-11-29 00:00:00', N'Tuesday, November 29 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-11-01 00:00:00', N'November 2016', 334, N'Day 334', 60, N'Day 60', 29, N'Day 29', 11, N'Month 11', 2, N'Month 2', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-11-30 00:00:00', N'Wednesday, November 30 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-11-01 00:00:00', N'November 2016', 335, N'Day 335', 61, N'Day 61', 30, N'Day 30', 11, N'Month 11', 2, N'Month 2', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-12-01 00:00:00', N'Thursday, December 01 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-12-01 00:00:00', N'December 2016', 336, N'Day 336', 62, N'Day 62', 1, N'Day 1', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-12-02 00:00:00', N'Friday, December 02 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-12-01 00:00:00', N'December 2016', 337, N'Day 337', 63, N'Day 63', 2, N'Day 2', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-12-03 00:00:00', N'Saturday, December 03 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-12-01 00:00:00', N'December 2016', 338, N'Day 338', 64, N'Day 64', 3, N'Day 3', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-12-04 00:00:00', N'Sunday, December 04 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-12-01 00:00:00', N'December 2016', 339, N'Day 339', 65, N'Day 65', 4, N'Day 4', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-12-05 00:00:00', N'Monday, December 05 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-12-01 00:00:00', N'December 2016', 340, N'Day 340', 66, N'Day 66', 5, N'Day 5', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-12-06 00:00:00', N'Tuesday, December 06 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-12-01 00:00:00', N'December 2016', 341, N'Day 341', 67, N'Day 67', 6, N'Day 6', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-12-07 00:00:00', N'Wednesday, December 07 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-12-01 00:00:00', N'December 2016', 342, N'Day 342', 68, N'Day 68', 7, N'Day 7', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-12-08 00:00:00', N'Thursday, December 08 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-12-01 00:00:00', N'December 2016', 343, N'Day 343', 69, N'Day 69', 8, N'Day 8', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-12-09 00:00:00', N'Friday, December 09 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-12-01 00:00:00', N'December 2016', 344, N'Day 344', 70, N'Day 70', 9, N'Day 9', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-12-10 00:00:00', N'Saturday, December 10 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-12-01 00:00:00', N'December 2016', 345, N'Day 345', 71, N'Day 71', 10, N'Day 10', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-12-11 00:00:00', N'Sunday, December 11 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-12-01 00:00:00', N'December 2016', 346, N'Day 346', 72, N'Day 72', 11, N'Day 11', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-12-12 00:00:00', N'Monday, December 12 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-12-01 00:00:00', N'December 2016', 347, N'Day 347', 73, N'Day 73', 12, N'Day 12', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-12-13 00:00:00', N'Tuesday, December 13 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-12-01 00:00:00', N'December 2016', 348, N'Day 348', 74, N'Day 74', 13, N'Day 13', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-12-14 00:00:00', N'Wednesday, December 14 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-12-01 00:00:00', N'December 2016', 349, N'Day 349', 75, N'Day 75', 14, N'Day 14', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-12-15 00:00:00', N'Thursday, December 15 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-12-01 00:00:00', N'December 2016', 350, N'Day 350', 76, N'Day 76', 15, N'Day 15', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-12-16 00:00:00', N'Friday, December 16 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-12-01 00:00:00', N'December 2016', 351, N'Day 351', 77, N'Day 77', 16, N'Day 16', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-12-17 00:00:00', N'Saturday, December 17 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-12-01 00:00:00', N'December 2016', 352, N'Day 352', 78, N'Day 78', 17, N'Day 17', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-12-18 00:00:00', N'Sunday, December 18 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-12-01 00:00:00', N'December 2016', 353, N'Day 353', 79, N'Day 79', 18, N'Day 18', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-12-19 00:00:00', N'Monday, December 19 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-12-01 00:00:00', N'December 2016', 354, N'Day 354', 80, N'Day 80', 19, N'Day 19', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-12-20 00:00:00', N'Tuesday, December 20 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-12-01 00:00:00', N'December 2016', 355, N'Day 355', 81, N'Day 81', 20, N'Day 20', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-12-21 00:00:00', N'Wednesday, December 21 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-12-01 00:00:00', N'December 2016', 356, N'Day 356', 82, N'Day 82', 21, N'Day 21', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-12-22 00:00:00', N'Thursday, December 22 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-12-01 00:00:00', N'December 2016', 357, N'Day 357', 83, N'Day 83', 22, N'Day 22', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-12-23 00:00:00', N'Friday, December 23 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-12-01 00:00:00', N'December 2016', 358, N'Day 358', 84, N'Day 84', 23, N'Day 23', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-12-24 00:00:00', N'Saturday, December 24 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-12-01 00:00:00', N'December 2016', 359, N'Day 359', 85, N'Day 85', 24, N'Day 24', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-12-25 00:00:00', N'Sunday, December 25 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-12-01 00:00:00', N'December 2016', 360, N'Day 360', 86, N'Day 86', 25, N'Day 25', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-12-26 00:00:00', N'Monday, December 26 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-12-01 00:00:00', N'December 2016', 361, N'Day 361', 87, N'Day 87', 26, N'Day 26', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-12-27 00:00:00', N'Tuesday, December 27 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-12-01 00:00:00', N'December 2016', 362, N'Day 362', 88, N'Day 88', 27, N'Day 27', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-12-28 00:00:00', N'Wednesday, December 28 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-12-01 00:00:00', N'December 2016', 363, N'Day 363', 89, N'Day 89', 28, N'Day 28', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-12-29 00:00:00', N'Thursday, December 29 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-12-01 00:00:00', N'December 2016', 364, N'Day 364', 90, N'Day 90', 29, N'Day 29', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-12-30 00:00:00', N'Friday, December 30 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-12-01 00:00:00', N'December 2016', 365, N'Day 365', 91, N'Day 91', 30, N'Day 30', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2016-12-31 00:00:00', N'Saturday, December 31 2016', N'2016-01-01 00:00:00', N'Calendar 2016', N'2016-10-01 00:00:00', N'Quarter 4, 2016', N'2016-12-01 00:00:00', N'December 2016', 366, N'Day 366', 92, N'Day 92', 31, N'Day 31', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-01-01 00:00:00', N'Sunday, January 01 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-01-01 00:00:00', N'January 2017', 1, N'Day 1', 1, N'Day 1', 1, N'Day 1', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-01-02 00:00:00', N'Monday, January 02 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-01-01 00:00:00', N'January 2017', 2, N'Day 2', 2, N'Day 2', 2, N'Day 2', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-01-03 00:00:00', N'Tuesday, January 03 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-01-01 00:00:00', N'January 2017', 3, N'Day 3', 3, N'Day 3', 3, N'Day 3', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-01-04 00:00:00', N'Wednesday, January 04 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-01-01 00:00:00', N'January 2017', 4, N'Day 4', 4, N'Day 4', 4, N'Day 4', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-01-05 00:00:00', N'Thursday, January 05 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-01-01 00:00:00', N'January 2017', 5, N'Day 5', 5, N'Day 5', 5, N'Day 5', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-01-06 00:00:00', N'Friday, January 06 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-01-01 00:00:00', N'January 2017', 6, N'Day 6', 6, N'Day 6', 6, N'Day 6', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-01-07 00:00:00', N'Saturday, January 07 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-01-01 00:00:00', N'January 2017', 7, N'Day 7', 7, N'Day 7', 7, N'Day 7', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-01-08 00:00:00', N'Sunday, January 08 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-01-01 00:00:00', N'January 2017', 8, N'Day 8', 8, N'Day 8', 8, N'Day 8', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-01-09 00:00:00', N'Monday, January 09 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-01-01 00:00:00', N'January 2017', 9, N'Day 9', 9, N'Day 9', 9, N'Day 9', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-01-10 00:00:00', N'Tuesday, January 10 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-01-01 00:00:00', N'January 2017', 10, N'Day 10', 10, N'Day 10', 10, N'Day 10', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-01-11 00:00:00', N'Wednesday, January 11 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-01-01 00:00:00', N'January 2017', 11, N'Day 11', 11, N'Day 11', 11, N'Day 11', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-01-12 00:00:00', N'Thursday, January 12 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-01-01 00:00:00', N'January 2017', 12, N'Day 12', 12, N'Day 12', 12, N'Day 12', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-01-13 00:00:00', N'Friday, January 13 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-01-01 00:00:00', N'January 2017', 13, N'Day 13', 13, N'Day 13', 13, N'Day 13', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-01-14 00:00:00', N'Saturday, January 14 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-01-01 00:00:00', N'January 2017', 14, N'Day 14', 14, N'Day 14', 14, N'Day 14', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-01-15 00:00:00', N'Sunday, January 15 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-01-01 00:00:00', N'January 2017', 15, N'Day 15', 15, N'Day 15', 15, N'Day 15', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-01-16 00:00:00', N'Monday, January 16 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-01-01 00:00:00', N'January 2017', 16, N'Day 16', 16, N'Day 16', 16, N'Day 16', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-01-17 00:00:00', N'Tuesday, January 17 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-01-01 00:00:00', N'January 2017', 17, N'Day 17', 17, N'Day 17', 17, N'Day 17', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-01-18 00:00:00', N'Wednesday, January 18 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-01-01 00:00:00', N'January 2017', 18, N'Day 18', 18, N'Day 18', 18, N'Day 18', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-01-19 00:00:00', N'Thursday, January 19 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-01-01 00:00:00', N'January 2017', 19, N'Day 19', 19, N'Day 19', 19, N'Day 19', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-01-20 00:00:00', N'Friday, January 20 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-01-01 00:00:00', N'January 2017', 20, N'Day 20', 20, N'Day 20', 20, N'Day 20', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-01-21 00:00:00', N'Saturday, January 21 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-01-01 00:00:00', N'January 2017', 21, N'Day 21', 21, N'Day 21', 21, N'Day 21', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-01-22 00:00:00', N'Sunday, January 22 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-01-01 00:00:00', N'January 2017', 22, N'Day 22', 22, N'Day 22', 22, N'Day 22', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-01-23 00:00:00', N'Monday, January 23 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-01-01 00:00:00', N'January 2017', 23, N'Day 23', 23, N'Day 23', 23, N'Day 23', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-01-24 00:00:00', N'Tuesday, January 24 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-01-01 00:00:00', N'January 2017', 24, N'Day 24', 24, N'Day 24', 24, N'Day 24', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-01-25 00:00:00', N'Wednesday, January 25 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-01-01 00:00:00', N'January 2017', 25, N'Day 25', 25, N'Day 25', 25, N'Day 25', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-01-26 00:00:00', N'Thursday, January 26 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-01-01 00:00:00', N'January 2017', 26, N'Day 26', 26, N'Day 26', 26, N'Day 26', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-01-27 00:00:00', N'Friday, January 27 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-01-01 00:00:00', N'January 2017', 27, N'Day 27', 27, N'Day 27', 27, N'Day 27', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-01-28 00:00:00', N'Saturday, January 28 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-01-01 00:00:00', N'January 2017', 28, N'Day 28', 28, N'Day 28', 28, N'Day 28', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-01-29 00:00:00', N'Sunday, January 29 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-01-01 00:00:00', N'January 2017', 29, N'Day 29', 29, N'Day 29', 29, N'Day 29', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-01-30 00:00:00', N'Monday, January 30 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-01-01 00:00:00', N'January 2017', 30, N'Day 30', 30, N'Day 30', 30, N'Day 30', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-01-31 00:00:00', N'Tuesday, January 31 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-01-01 00:00:00', N'January 2017', 31, N'Day 31', 31, N'Day 31', 31, N'Day 31', 1, N'Month 1', 1, N'Month 1', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-02-01 00:00:00', N'Wednesday, February 01 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-02-01 00:00:00', N'February 2017', 32, N'Day 32', 32, N'Day 32', 1, N'Day 1', 2, N'Month 2', 2, N'Month 2', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-02-02 00:00:00', N'Thursday, February 02 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-02-01 00:00:00', N'February 2017', 33, N'Day 33', 33, N'Day 33', 2, N'Day 2', 2, N'Month 2', 2, N'Month 2', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-02-03 00:00:00', N'Friday, February 03 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-02-01 00:00:00', N'February 2017', 34, N'Day 34', 34, N'Day 34', 3, N'Day 3', 2, N'Month 2', 2, N'Month 2', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-02-04 00:00:00', N'Saturday, February 04 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-02-01 00:00:00', N'February 2017', 35, N'Day 35', 35, N'Day 35', 4, N'Day 4', 2, N'Month 2', 2, N'Month 2', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-02-05 00:00:00', N'Sunday, February 05 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-02-01 00:00:00', N'February 2017', 36, N'Day 36', 36, N'Day 36', 5, N'Day 5', 2, N'Month 2', 2, N'Month 2', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-02-06 00:00:00', N'Monday, February 06 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-02-01 00:00:00', N'February 2017', 37, N'Day 37', 37, N'Day 37', 6, N'Day 6', 2, N'Month 2', 2, N'Month 2', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-02-07 00:00:00', N'Tuesday, February 07 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-02-01 00:00:00', N'February 2017', 38, N'Day 38', 38, N'Day 38', 7, N'Day 7', 2, N'Month 2', 2, N'Month 2', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-02-08 00:00:00', N'Wednesday, February 08 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-02-01 00:00:00', N'February 2017', 39, N'Day 39', 39, N'Day 39', 8, N'Day 8', 2, N'Month 2', 2, N'Month 2', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-02-09 00:00:00', N'Thursday, February 09 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-02-01 00:00:00', N'February 2017', 40, N'Day 40', 40, N'Day 40', 9, N'Day 9', 2, N'Month 2', 2, N'Month 2', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-02-10 00:00:00', N'Friday, February 10 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-02-01 00:00:00', N'February 2017', 41, N'Day 41', 41, N'Day 41', 10, N'Day 10', 2, N'Month 2', 2, N'Month 2', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-02-11 00:00:00', N'Saturday, February 11 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-02-01 00:00:00', N'February 2017', 42, N'Day 42', 42, N'Day 42', 11, N'Day 11', 2, N'Month 2', 2, N'Month 2', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-02-12 00:00:00', N'Sunday, February 12 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-02-01 00:00:00', N'February 2017', 43, N'Day 43', 43, N'Day 43', 12, N'Day 12', 2, N'Month 2', 2, N'Month 2', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-02-13 00:00:00', N'Monday, February 13 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-02-01 00:00:00', N'February 2017', 44, N'Day 44', 44, N'Day 44', 13, N'Day 13', 2, N'Month 2', 2, N'Month 2', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-02-14 00:00:00', N'Tuesday, February 14 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-02-01 00:00:00', N'February 2017', 45, N'Day 45', 45, N'Day 45', 14, N'Day 14', 2, N'Month 2', 2, N'Month 2', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-02-15 00:00:00', N'Wednesday, February 15 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-02-01 00:00:00', N'February 2017', 46, N'Day 46', 46, N'Day 46', 15, N'Day 15', 2, N'Month 2', 2, N'Month 2', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-02-16 00:00:00', N'Thursday, February 16 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-02-01 00:00:00', N'February 2017', 47, N'Day 47', 47, N'Day 47', 16, N'Day 16', 2, N'Month 2', 2, N'Month 2', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-02-17 00:00:00', N'Friday, February 17 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-02-01 00:00:00', N'February 2017', 48, N'Day 48', 48, N'Day 48', 17, N'Day 17', 2, N'Month 2', 2, N'Month 2', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-02-18 00:00:00', N'Saturday, February 18 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-02-01 00:00:00', N'February 2017', 49, N'Day 49', 49, N'Day 49', 18, N'Day 18', 2, N'Month 2', 2, N'Month 2', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-02-19 00:00:00', N'Sunday, February 19 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-02-01 00:00:00', N'February 2017', 50, N'Day 50', 50, N'Day 50', 19, N'Day 19', 2, N'Month 2', 2, N'Month 2', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-02-20 00:00:00', N'Monday, February 20 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-02-01 00:00:00', N'February 2017', 51, N'Day 51', 51, N'Day 51', 20, N'Day 20', 2, N'Month 2', 2, N'Month 2', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-02-21 00:00:00', N'Tuesday, February 21 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-02-01 00:00:00', N'February 2017', 52, N'Day 52', 52, N'Day 52', 21, N'Day 21', 2, N'Month 2', 2, N'Month 2', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-02-22 00:00:00', N'Wednesday, February 22 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-02-01 00:00:00', N'February 2017', 53, N'Day 53', 53, N'Day 53', 22, N'Day 22', 2, N'Month 2', 2, N'Month 2', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-02-23 00:00:00', N'Thursday, February 23 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-02-01 00:00:00', N'February 2017', 54, N'Day 54', 54, N'Day 54', 23, N'Day 23', 2, N'Month 2', 2, N'Month 2', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-02-24 00:00:00', N'Friday, February 24 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-02-01 00:00:00', N'February 2017', 55, N'Day 55', 55, N'Day 55', 24, N'Day 24', 2, N'Month 2', 2, N'Month 2', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-02-25 00:00:00', N'Saturday, February 25 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-02-01 00:00:00', N'February 2017', 56, N'Day 56', 56, N'Day 56', 25, N'Day 25', 2, N'Month 2', 2, N'Month 2', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-02-26 00:00:00', N'Sunday, February 26 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-02-01 00:00:00', N'February 2017', 57, N'Day 57', 57, N'Day 57', 26, N'Day 26', 2, N'Month 2', 2, N'Month 2', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-02-27 00:00:00', N'Monday, February 27 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-02-01 00:00:00', N'February 2017', 58, N'Day 58', 58, N'Day 58', 27, N'Day 27', 2, N'Month 2', 2, N'Month 2', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-02-28 00:00:00', N'Tuesday, February 28 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-02-01 00:00:00', N'February 2017', 59, N'Day 59', 59, N'Day 59', 28, N'Day 28', 2, N'Month 2', 2, N'Month 2', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-03-01 00:00:00', N'Wednesday, March 01 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-03-01 00:00:00', N'March 2017', 60, N'Day 60', 60, N'Day 60', 1, N'Day 1', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-03-02 00:00:00', N'Thursday, March 02 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-03-01 00:00:00', N'March 2017', 61, N'Day 61', 61, N'Day 61', 2, N'Day 2', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-03-03 00:00:00', N'Friday, March 03 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-03-01 00:00:00', N'March 2017', 62, N'Day 62', 62, N'Day 62', 3, N'Day 3', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-03-04 00:00:00', N'Saturday, March 04 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-03-01 00:00:00', N'March 2017', 63, N'Day 63', 63, N'Day 63', 4, N'Day 4', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-03-05 00:00:00', N'Sunday, March 05 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-03-01 00:00:00', N'March 2017', 64, N'Day 64', 64, N'Day 64', 5, N'Day 5', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-03-06 00:00:00', N'Monday, March 06 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-03-01 00:00:00', N'March 2017', 65, N'Day 65', 65, N'Day 65', 6, N'Day 6', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-03-07 00:00:00', N'Tuesday, March 07 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-03-01 00:00:00', N'March 2017', 66, N'Day 66', 66, N'Day 66', 7, N'Day 7', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-03-08 00:00:00', N'Wednesday, March 08 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-03-01 00:00:00', N'March 2017', 67, N'Day 67', 67, N'Day 67', 8, N'Day 8', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-03-09 00:00:00', N'Thursday, March 09 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-03-01 00:00:00', N'March 2017', 68, N'Day 68', 68, N'Day 68', 9, N'Day 9', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-03-10 00:00:00', N'Friday, March 10 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-03-01 00:00:00', N'March 2017', 69, N'Day 69', 69, N'Day 69', 10, N'Day 10', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-03-11 00:00:00', N'Saturday, March 11 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-03-01 00:00:00', N'March 2017', 70, N'Day 70', 70, N'Day 70', 11, N'Day 11', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-03-12 00:00:00', N'Sunday, March 12 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-03-01 00:00:00', N'March 2017', 71, N'Day 71', 71, N'Day 71', 12, N'Day 12', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-03-13 00:00:00', N'Monday, March 13 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-03-01 00:00:00', N'March 2017', 72, N'Day 72', 72, N'Day 72', 13, N'Day 13', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-03-14 00:00:00', N'Tuesday, March 14 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-03-01 00:00:00', N'March 2017', 73, N'Day 73', 73, N'Day 73', 14, N'Day 14', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-03-15 00:00:00', N'Wednesday, March 15 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-03-01 00:00:00', N'March 2017', 74, N'Day 74', 74, N'Day 74', 15, N'Day 15', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-03-16 00:00:00', N'Thursday, March 16 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-03-01 00:00:00', N'March 2017', 75, N'Day 75', 75, N'Day 75', 16, N'Day 16', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-03-17 00:00:00', N'Friday, March 17 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-03-01 00:00:00', N'March 2017', 76, N'Day 76', 76, N'Day 76', 17, N'Day 17', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-03-18 00:00:00', N'Saturday, March 18 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-03-01 00:00:00', N'March 2017', 77, N'Day 77', 77, N'Day 77', 18, N'Day 18', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-03-19 00:00:00', N'Sunday, March 19 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-03-01 00:00:00', N'March 2017', 78, N'Day 78', 78, N'Day 78', 19, N'Day 19', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-03-20 00:00:00', N'Monday, March 20 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-03-01 00:00:00', N'March 2017', 79, N'Day 79', 79, N'Day 79', 20, N'Day 20', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-03-21 00:00:00', N'Tuesday, March 21 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-03-01 00:00:00', N'March 2017', 80, N'Day 80', 80, N'Day 80', 21, N'Day 21', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-03-22 00:00:00', N'Wednesday, March 22 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-03-01 00:00:00', N'March 2017', 81, N'Day 81', 81, N'Day 81', 22, N'Day 22', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-03-23 00:00:00', N'Thursday, March 23 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-03-01 00:00:00', N'March 2017', 82, N'Day 82', 82, N'Day 82', 23, N'Day 23', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-03-24 00:00:00', N'Friday, March 24 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-03-01 00:00:00', N'March 2017', 83, N'Day 83', 83, N'Day 83', 24, N'Day 24', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-03-25 00:00:00', N'Saturday, March 25 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-03-01 00:00:00', N'March 2017', 84, N'Day 84', 84, N'Day 84', 25, N'Day 25', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-03-26 00:00:00', N'Sunday, March 26 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-03-01 00:00:00', N'March 2017', 85, N'Day 85', 85, N'Day 85', 26, N'Day 26', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-03-27 00:00:00', N'Monday, March 27 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-03-01 00:00:00', N'March 2017', 86, N'Day 86', 86, N'Day 86', 27, N'Day 27', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-03-28 00:00:00', N'Tuesday, March 28 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-03-01 00:00:00', N'March 2017', 87, N'Day 87', 87, N'Day 87', 28, N'Day 28', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-03-29 00:00:00', N'Wednesday, March 29 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-03-01 00:00:00', N'March 2017', 88, N'Day 88', 88, N'Day 88', 29, N'Day 29', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-03-30 00:00:00', N'Thursday, March 30 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-03-01 00:00:00', N'March 2017', 89, N'Day 89', 89, N'Day 89', 30, N'Day 30', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-03-31 00:00:00', N'Friday, March 31 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-01-01 00:00:00', N'Quarter 1, 2017', N'2017-03-01 00:00:00', N'March 2017', 90, N'Day 90', 90, N'Day 90', 31, N'Day 31', 3, N'Month 3', 3, N'Month 3', 1, N'Quarter 1')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-04-01 00:00:00', N'Saturday, April 01 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-04-01 00:00:00', N'April 2017', 91, N'Day 91', 1, N'Day 1', 1, N'Day 1', 4, N'Month 4', 1, N'Month 1', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-04-02 00:00:00', N'Sunday, April 02 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-04-01 00:00:00', N'April 2017', 92, N'Day 92', 2, N'Day 2', 2, N'Day 2', 4, N'Month 4', 1, N'Month 1', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-04-03 00:00:00', N'Monday, April 03 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-04-01 00:00:00', N'April 2017', 93, N'Day 93', 3, N'Day 3', 3, N'Day 3', 4, N'Month 4', 1, N'Month 1', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-04-04 00:00:00', N'Tuesday, April 04 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-04-01 00:00:00', N'April 2017', 94, N'Day 94', 4, N'Day 4', 4, N'Day 4', 4, N'Month 4', 1, N'Month 1', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-04-05 00:00:00', N'Wednesday, April 05 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-04-01 00:00:00', N'April 2017', 95, N'Day 95', 5, N'Day 5', 5, N'Day 5', 4, N'Month 4', 1, N'Month 1', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-04-06 00:00:00', N'Thursday, April 06 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-04-01 00:00:00', N'April 2017', 96, N'Day 96', 6, N'Day 6', 6, N'Day 6', 4, N'Month 4', 1, N'Month 1', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-04-07 00:00:00', N'Friday, April 07 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-04-01 00:00:00', N'April 2017', 97, N'Day 97', 7, N'Day 7', 7, N'Day 7', 4, N'Month 4', 1, N'Month 1', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-04-08 00:00:00', N'Saturday, April 08 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-04-01 00:00:00', N'April 2017', 98, N'Day 98', 8, N'Day 8', 8, N'Day 8', 4, N'Month 4', 1, N'Month 1', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-04-09 00:00:00', N'Sunday, April 09 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-04-01 00:00:00', N'April 2017', 99, N'Day 99', 9, N'Day 9', 9, N'Day 9', 4, N'Month 4', 1, N'Month 1', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-04-10 00:00:00', N'Monday, April 10 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-04-01 00:00:00', N'April 2017', 100, N'Day 100', 10, N'Day 10', 10, N'Day 10', 4, N'Month 4', 1, N'Month 1', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-04-11 00:00:00', N'Tuesday, April 11 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-04-01 00:00:00', N'April 2017', 101, N'Day 101', 11, N'Day 11', 11, N'Day 11', 4, N'Month 4', 1, N'Month 1', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-04-12 00:00:00', N'Wednesday, April 12 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-04-01 00:00:00', N'April 2017', 102, N'Day 102', 12, N'Day 12', 12, N'Day 12', 4, N'Month 4', 1, N'Month 1', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-04-13 00:00:00', N'Thursday, April 13 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-04-01 00:00:00', N'April 2017', 103, N'Day 103', 13, N'Day 13', 13, N'Day 13', 4, N'Month 4', 1, N'Month 1', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-04-14 00:00:00', N'Friday, April 14 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-04-01 00:00:00', N'April 2017', 104, N'Day 104', 14, N'Day 14', 14, N'Day 14', 4, N'Month 4', 1, N'Month 1', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-04-15 00:00:00', N'Saturday, April 15 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-04-01 00:00:00', N'April 2017', 105, N'Day 105', 15, N'Day 15', 15, N'Day 15', 4, N'Month 4', 1, N'Month 1', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-04-16 00:00:00', N'Sunday, April 16 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-04-01 00:00:00', N'April 2017', 106, N'Day 106', 16, N'Day 16', 16, N'Day 16', 4, N'Month 4', 1, N'Month 1', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-04-17 00:00:00', N'Monday, April 17 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-04-01 00:00:00', N'April 2017', 107, N'Day 107', 17, N'Day 17', 17, N'Day 17', 4, N'Month 4', 1, N'Month 1', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-04-18 00:00:00', N'Tuesday, April 18 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-04-01 00:00:00', N'April 2017', 108, N'Day 108', 18, N'Day 18', 18, N'Day 18', 4, N'Month 4', 1, N'Month 1', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-04-19 00:00:00', N'Wednesday, April 19 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-04-01 00:00:00', N'April 2017', 109, N'Day 109', 19, N'Day 19', 19, N'Day 19', 4, N'Month 4', 1, N'Month 1', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-04-20 00:00:00', N'Thursday, April 20 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-04-01 00:00:00', N'April 2017', 110, N'Day 110', 20, N'Day 20', 20, N'Day 20', 4, N'Month 4', 1, N'Month 1', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-04-21 00:00:00', N'Friday, April 21 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-04-01 00:00:00', N'April 2017', 111, N'Day 111', 21, N'Day 21', 21, N'Day 21', 4, N'Month 4', 1, N'Month 1', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-04-22 00:00:00', N'Saturday, April 22 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-04-01 00:00:00', N'April 2017', 112, N'Day 112', 22, N'Day 22', 22, N'Day 22', 4, N'Month 4', 1, N'Month 1', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-04-23 00:00:00', N'Sunday, April 23 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-04-01 00:00:00', N'April 2017', 113, N'Day 113', 23, N'Day 23', 23, N'Day 23', 4, N'Month 4', 1, N'Month 1', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-04-24 00:00:00', N'Monday, April 24 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-04-01 00:00:00', N'April 2017', 114, N'Day 114', 24, N'Day 24', 24, N'Day 24', 4, N'Month 4', 1, N'Month 1', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-04-25 00:00:00', N'Tuesday, April 25 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-04-01 00:00:00', N'April 2017', 115, N'Day 115', 25, N'Day 25', 25, N'Day 25', 4, N'Month 4', 1, N'Month 1', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-04-26 00:00:00', N'Wednesday, April 26 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-04-01 00:00:00', N'April 2017', 116, N'Day 116', 26, N'Day 26', 26, N'Day 26', 4, N'Month 4', 1, N'Month 1', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-04-27 00:00:00', N'Thursday, April 27 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-04-01 00:00:00', N'April 2017', 117, N'Day 117', 27, N'Day 27', 27, N'Day 27', 4, N'Month 4', 1, N'Month 1', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-04-28 00:00:00', N'Friday, April 28 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-04-01 00:00:00', N'April 2017', 118, N'Day 118', 28, N'Day 28', 28, N'Day 28', 4, N'Month 4', 1, N'Month 1', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-04-29 00:00:00', N'Saturday, April 29 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-04-01 00:00:00', N'April 2017', 119, N'Day 119', 29, N'Day 29', 29, N'Day 29', 4, N'Month 4', 1, N'Month 1', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-04-30 00:00:00', N'Sunday, April 30 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-04-01 00:00:00', N'April 2017', 120, N'Day 120', 30, N'Day 30', 30, N'Day 30', 4, N'Month 4', 1, N'Month 1', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-05-01 00:00:00', N'Monday, May 01 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-05-01 00:00:00', N'May 2017', 121, N'Day 121', 31, N'Day 31', 1, N'Day 1', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-05-02 00:00:00', N'Tuesday, May 02 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-05-01 00:00:00', N'May 2017', 122, N'Day 122', 32, N'Day 32', 2, N'Day 2', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-05-03 00:00:00', N'Wednesday, May 03 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-05-01 00:00:00', N'May 2017', 123, N'Day 123', 33, N'Day 33', 3, N'Day 3', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-05-04 00:00:00', N'Thursday, May 04 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-05-01 00:00:00', N'May 2017', 124, N'Day 124', 34, N'Day 34', 4, N'Day 4', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-05-05 00:00:00', N'Friday, May 05 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-05-01 00:00:00', N'May 2017', 125, N'Day 125', 35, N'Day 35', 5, N'Day 5', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-05-06 00:00:00', N'Saturday, May 06 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-05-01 00:00:00', N'May 2017', 126, N'Day 126', 36, N'Day 36', 6, N'Day 6', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-05-07 00:00:00', N'Sunday, May 07 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-05-01 00:00:00', N'May 2017', 127, N'Day 127', 37, N'Day 37', 7, N'Day 7', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-05-08 00:00:00', N'Monday, May 08 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-05-01 00:00:00', N'May 2017', 128, N'Day 128', 38, N'Day 38', 8, N'Day 8', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-05-09 00:00:00', N'Tuesday, May 09 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-05-01 00:00:00', N'May 2017', 129, N'Day 129', 39, N'Day 39', 9, N'Day 9', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-05-10 00:00:00', N'Wednesday, May 10 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-05-01 00:00:00', N'May 2017', 130, N'Day 130', 40, N'Day 40', 10, N'Day 10', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-05-11 00:00:00', N'Thursday, May 11 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-05-01 00:00:00', N'May 2017', 131, N'Day 131', 41, N'Day 41', 11, N'Day 11', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-05-12 00:00:00', N'Friday, May 12 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-05-01 00:00:00', N'May 2017', 132, N'Day 132', 42, N'Day 42', 12, N'Day 12', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-05-13 00:00:00', N'Saturday, May 13 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-05-01 00:00:00', N'May 2017', 133, N'Day 133', 43, N'Day 43', 13, N'Day 13', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-05-14 00:00:00', N'Sunday, May 14 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-05-01 00:00:00', N'May 2017', 134, N'Day 134', 44, N'Day 44', 14, N'Day 14', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-05-15 00:00:00', N'Monday, May 15 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-05-01 00:00:00', N'May 2017', 135, N'Day 135', 45, N'Day 45', 15, N'Day 15', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-05-16 00:00:00', N'Tuesday, May 16 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-05-01 00:00:00', N'May 2017', 136, N'Day 136', 46, N'Day 46', 16, N'Day 16', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-05-17 00:00:00', N'Wednesday, May 17 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-05-01 00:00:00', N'May 2017', 137, N'Day 137', 47, N'Day 47', 17, N'Day 17', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-05-18 00:00:00', N'Thursday, May 18 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-05-01 00:00:00', N'May 2017', 138, N'Day 138', 48, N'Day 48', 18, N'Day 18', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-05-19 00:00:00', N'Friday, May 19 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-05-01 00:00:00', N'May 2017', 139, N'Day 139', 49, N'Day 49', 19, N'Day 19', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-05-20 00:00:00', N'Saturday, May 20 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-05-01 00:00:00', N'May 2017', 140, N'Day 140', 50, N'Day 50', 20, N'Day 20', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-05-21 00:00:00', N'Sunday, May 21 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-05-01 00:00:00', N'May 2017', 141, N'Day 141', 51, N'Day 51', 21, N'Day 21', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-05-22 00:00:00', N'Monday, May 22 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-05-01 00:00:00', N'May 2017', 142, N'Day 142', 52, N'Day 52', 22, N'Day 22', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-05-23 00:00:00', N'Tuesday, May 23 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-05-01 00:00:00', N'May 2017', 143, N'Day 143', 53, N'Day 53', 23, N'Day 23', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-05-24 00:00:00', N'Wednesday, May 24 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-05-01 00:00:00', N'May 2017', 144, N'Day 144', 54, N'Day 54', 24, N'Day 24', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-05-25 00:00:00', N'Thursday, May 25 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-05-01 00:00:00', N'May 2017', 145, N'Day 145', 55, N'Day 55', 25, N'Day 25', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-05-26 00:00:00', N'Friday, May 26 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-05-01 00:00:00', N'May 2017', 146, N'Day 146', 56, N'Day 56', 26, N'Day 26', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-05-27 00:00:00', N'Saturday, May 27 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-05-01 00:00:00', N'May 2017', 147, N'Day 147', 57, N'Day 57', 27, N'Day 27', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-05-28 00:00:00', N'Sunday, May 28 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-05-01 00:00:00', N'May 2017', 148, N'Day 148', 58, N'Day 58', 28, N'Day 28', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-05-29 00:00:00', N'Monday, May 29 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-05-01 00:00:00', N'May 2017', 149, N'Day 149', 59, N'Day 59', 29, N'Day 29', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-05-30 00:00:00', N'Tuesday, May 30 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-05-01 00:00:00', N'May 2017', 150, N'Day 150', 60, N'Day 60', 30, N'Day 30', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-05-31 00:00:00', N'Wednesday, May 31 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-05-01 00:00:00', N'May 2017', 151, N'Day 151', 61, N'Day 61', 31, N'Day 31', 5, N'Month 5', 2, N'Month 2', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-06-01 00:00:00', N'Thursday, June 01 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-06-01 00:00:00', N'June 2017', 152, N'Day 152', 62, N'Day 62', 1, N'Day 1', 6, N'Month 6', 3, N'Month 3', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-06-02 00:00:00', N'Friday, June 02 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-06-01 00:00:00', N'June 2017', 153, N'Day 153', 63, N'Day 63', 2, N'Day 2', 6, N'Month 6', 3, N'Month 3', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-06-03 00:00:00', N'Saturday, June 03 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-06-01 00:00:00', N'June 2017', 154, N'Day 154', 64, N'Day 64', 3, N'Day 3', 6, N'Month 6', 3, N'Month 3', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-06-04 00:00:00', N'Sunday, June 04 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-06-01 00:00:00', N'June 2017', 155, N'Day 155', 65, N'Day 65', 4, N'Day 4', 6, N'Month 6', 3, N'Month 3', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-06-05 00:00:00', N'Monday, June 05 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-06-01 00:00:00', N'June 2017', 156, N'Day 156', 66, N'Day 66', 5, N'Day 5', 6, N'Month 6', 3, N'Month 3', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-06-06 00:00:00', N'Tuesday, June 06 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-06-01 00:00:00', N'June 2017', 157, N'Day 157', 67, N'Day 67', 6, N'Day 6', 6, N'Month 6', 3, N'Month 3', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-06-07 00:00:00', N'Wednesday, June 07 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-06-01 00:00:00', N'June 2017', 158, N'Day 158', 68, N'Day 68', 7, N'Day 7', 6, N'Month 6', 3, N'Month 3', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-06-08 00:00:00', N'Thursday, June 08 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-06-01 00:00:00', N'June 2017', 159, N'Day 159', 69, N'Day 69', 8, N'Day 8', 6, N'Month 6', 3, N'Month 3', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-06-09 00:00:00', N'Friday, June 09 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-06-01 00:00:00', N'June 2017', 160, N'Day 160', 70, N'Day 70', 9, N'Day 9', 6, N'Month 6', 3, N'Month 3', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-06-10 00:00:00', N'Saturday, June 10 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-06-01 00:00:00', N'June 2017', 161, N'Day 161', 71, N'Day 71', 10, N'Day 10', 6, N'Month 6', 3, N'Month 3', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-06-11 00:00:00', N'Sunday, June 11 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-06-01 00:00:00', N'June 2017', 162, N'Day 162', 72, N'Day 72', 11, N'Day 11', 6, N'Month 6', 3, N'Month 3', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-06-12 00:00:00', N'Monday, June 12 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-06-01 00:00:00', N'June 2017', 163, N'Day 163', 73, N'Day 73', 12, N'Day 12', 6, N'Month 6', 3, N'Month 3', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-06-13 00:00:00', N'Tuesday, June 13 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-06-01 00:00:00', N'June 2017', 164, N'Day 164', 74, N'Day 74', 13, N'Day 13', 6, N'Month 6', 3, N'Month 3', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-06-14 00:00:00', N'Wednesday, June 14 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-06-01 00:00:00', N'June 2017', 165, N'Day 165', 75, N'Day 75', 14, N'Day 14', 6, N'Month 6', 3, N'Month 3', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-06-15 00:00:00', N'Thursday, June 15 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-06-01 00:00:00', N'June 2017', 166, N'Day 166', 76, N'Day 76', 15, N'Day 15', 6, N'Month 6', 3, N'Month 3', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-06-16 00:00:00', N'Friday, June 16 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-06-01 00:00:00', N'June 2017', 167, N'Day 167', 77, N'Day 77', 16, N'Day 16', 6, N'Month 6', 3, N'Month 3', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-06-17 00:00:00', N'Saturday, June 17 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-06-01 00:00:00', N'June 2017', 168, N'Day 168', 78, N'Day 78', 17, N'Day 17', 6, N'Month 6', 3, N'Month 3', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-06-18 00:00:00', N'Sunday, June 18 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-06-01 00:00:00', N'June 2017', 169, N'Day 169', 79, N'Day 79', 18, N'Day 18', 6, N'Month 6', 3, N'Month 3', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-06-19 00:00:00', N'Monday, June 19 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-06-01 00:00:00', N'June 2017', 170, N'Day 170', 80, N'Day 80', 19, N'Day 19', 6, N'Month 6', 3, N'Month 3', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-06-20 00:00:00', N'Tuesday, June 20 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-06-01 00:00:00', N'June 2017', 171, N'Day 171', 81, N'Day 81', 20, N'Day 20', 6, N'Month 6', 3, N'Month 3', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-06-21 00:00:00', N'Wednesday, June 21 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-06-01 00:00:00', N'June 2017', 172, N'Day 172', 82, N'Day 82', 21, N'Day 21', 6, N'Month 6', 3, N'Month 3', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-06-22 00:00:00', N'Thursday, June 22 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-06-01 00:00:00', N'June 2017', 173, N'Day 173', 83, N'Day 83', 22, N'Day 22', 6, N'Month 6', 3, N'Month 3', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-06-23 00:00:00', N'Friday, June 23 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-06-01 00:00:00', N'June 2017', 174, N'Day 174', 84, N'Day 84', 23, N'Day 23', 6, N'Month 6', 3, N'Month 3', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-06-24 00:00:00', N'Saturday, June 24 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-06-01 00:00:00', N'June 2017', 175, N'Day 175', 85, N'Day 85', 24, N'Day 24', 6, N'Month 6', 3, N'Month 3', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-06-25 00:00:00', N'Sunday, June 25 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-06-01 00:00:00', N'June 2017', 176, N'Day 176', 86, N'Day 86', 25, N'Day 25', 6, N'Month 6', 3, N'Month 3', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-06-26 00:00:00', N'Monday, June 26 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-06-01 00:00:00', N'June 2017', 177, N'Day 177', 87, N'Day 87', 26, N'Day 26', 6, N'Month 6', 3, N'Month 3', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-06-27 00:00:00', N'Tuesday, June 27 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-06-01 00:00:00', N'June 2017', 178, N'Day 178', 88, N'Day 88', 27, N'Day 27', 6, N'Month 6', 3, N'Month 3', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-06-28 00:00:00', N'Wednesday, June 28 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-06-01 00:00:00', N'June 2017', 179, N'Day 179', 89, N'Day 89', 28, N'Day 28', 6, N'Month 6', 3, N'Month 3', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-06-29 00:00:00', N'Thursday, June 29 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-06-01 00:00:00', N'June 2017', 180, N'Day 180', 90, N'Day 90', 29, N'Day 29', 6, N'Month 6', 3, N'Month 3', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-06-30 00:00:00', N'Friday, June 30 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-04-01 00:00:00', N'Quarter 2, 2017', N'2017-06-01 00:00:00', N'June 2017', 181, N'Day 181', 91, N'Day 91', 30, N'Day 30', 6, N'Month 6', 3, N'Month 3', 2, N'Quarter 2')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-07-01 00:00:00', N'Saturday, July 01 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-07-01 00:00:00', N'July 2017', 182, N'Day 182', 1, N'Day 1', 1, N'Day 1', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-07-02 00:00:00', N'Sunday, July 02 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-07-01 00:00:00', N'July 2017', 183, N'Day 183', 2, N'Day 2', 2, N'Day 2', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-07-03 00:00:00', N'Monday, July 03 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-07-01 00:00:00', N'July 2017', 184, N'Day 184', 3, N'Day 3', 3, N'Day 3', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-07-04 00:00:00', N'Tuesday, July 04 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-07-01 00:00:00', N'July 2017', 185, N'Day 185', 4, N'Day 4', 4, N'Day 4', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-07-05 00:00:00', N'Wednesday, July 05 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-07-01 00:00:00', N'July 2017', 186, N'Day 186', 5, N'Day 5', 5, N'Day 5', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-07-06 00:00:00', N'Thursday, July 06 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-07-01 00:00:00', N'July 2017', 187, N'Day 187', 6, N'Day 6', 6, N'Day 6', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-07-07 00:00:00', N'Friday, July 07 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-07-01 00:00:00', N'July 2017', 188, N'Day 188', 7, N'Day 7', 7, N'Day 7', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-07-08 00:00:00', N'Saturday, July 08 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-07-01 00:00:00', N'July 2017', 189, N'Day 189', 8, N'Day 8', 8, N'Day 8', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-07-09 00:00:00', N'Sunday, July 09 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-07-01 00:00:00', N'July 2017', 190, N'Day 190', 9, N'Day 9', 9, N'Day 9', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-07-10 00:00:00', N'Monday, July 10 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-07-01 00:00:00', N'July 2017', 191, N'Day 191', 10, N'Day 10', 10, N'Day 10', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-07-11 00:00:00', N'Tuesday, July 11 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-07-01 00:00:00', N'July 2017', 192, N'Day 192', 11, N'Day 11', 11, N'Day 11', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-07-12 00:00:00', N'Wednesday, July 12 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-07-01 00:00:00', N'July 2017', 193, N'Day 193', 12, N'Day 12', 12, N'Day 12', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-07-13 00:00:00', N'Thursday, July 13 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-07-01 00:00:00', N'July 2017', 194, N'Day 194', 13, N'Day 13', 13, N'Day 13', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-07-14 00:00:00', N'Friday, July 14 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-07-01 00:00:00', N'July 2017', 195, N'Day 195', 14, N'Day 14', 14, N'Day 14', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-07-15 00:00:00', N'Saturday, July 15 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-07-01 00:00:00', N'July 2017', 196, N'Day 196', 15, N'Day 15', 15, N'Day 15', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-07-16 00:00:00', N'Sunday, July 16 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-07-01 00:00:00', N'July 2017', 197, N'Day 197', 16, N'Day 16', 16, N'Day 16', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-07-17 00:00:00', N'Monday, July 17 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-07-01 00:00:00', N'July 2017', 198, N'Day 198', 17, N'Day 17', 17, N'Day 17', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-07-18 00:00:00', N'Tuesday, July 18 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-07-01 00:00:00', N'July 2017', 199, N'Day 199', 18, N'Day 18', 18, N'Day 18', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-07-19 00:00:00', N'Wednesday, July 19 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-07-01 00:00:00', N'July 2017', 200, N'Day 200', 19, N'Day 19', 19, N'Day 19', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-07-20 00:00:00', N'Thursday, July 20 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-07-01 00:00:00', N'July 2017', 201, N'Day 201', 20, N'Day 20', 20, N'Day 20', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-07-21 00:00:00', N'Friday, July 21 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-07-01 00:00:00', N'July 2017', 202, N'Day 202', 21, N'Day 21', 21, N'Day 21', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-07-22 00:00:00', N'Saturday, July 22 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-07-01 00:00:00', N'July 2017', 203, N'Day 203', 22, N'Day 22', 22, N'Day 22', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-07-23 00:00:00', N'Sunday, July 23 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-07-01 00:00:00', N'July 2017', 204, N'Day 204', 23, N'Day 23', 23, N'Day 23', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-07-24 00:00:00', N'Monday, July 24 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-07-01 00:00:00', N'July 2017', 205, N'Day 205', 24, N'Day 24', 24, N'Day 24', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-07-25 00:00:00', N'Tuesday, July 25 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-07-01 00:00:00', N'July 2017', 206, N'Day 206', 25, N'Day 25', 25, N'Day 25', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-07-26 00:00:00', N'Wednesday, July 26 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-07-01 00:00:00', N'July 2017', 207, N'Day 207', 26, N'Day 26', 26, N'Day 26', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-07-27 00:00:00', N'Thursday, July 27 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-07-01 00:00:00', N'July 2017', 208, N'Day 208', 27, N'Day 27', 27, N'Day 27', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-07-28 00:00:00', N'Friday, July 28 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-07-01 00:00:00', N'July 2017', 209, N'Day 209', 28, N'Day 28', 28, N'Day 28', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-07-29 00:00:00', N'Saturday, July 29 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-07-01 00:00:00', N'July 2017', 210, N'Day 210', 29, N'Day 29', 29, N'Day 29', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-07-30 00:00:00', N'Sunday, July 30 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-07-01 00:00:00', N'July 2017', 211, N'Day 211', 30, N'Day 30', 30, N'Day 30', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-07-31 00:00:00', N'Monday, July 31 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-07-01 00:00:00', N'July 2017', 212, N'Day 212', 31, N'Day 31', 31, N'Day 31', 7, N'Month 7', 1, N'Month 1', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-08-01 00:00:00', N'Tuesday, August 01 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-08-01 00:00:00', N'August 2017', 213, N'Day 213', 32, N'Day 32', 1, N'Day 1', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-08-02 00:00:00', N'Wednesday, August 02 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-08-01 00:00:00', N'August 2017', 214, N'Day 214', 33, N'Day 33', 2, N'Day 2', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-08-03 00:00:00', N'Thursday, August 03 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-08-01 00:00:00', N'August 2017', 215, N'Day 215', 34, N'Day 34', 3, N'Day 3', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-08-04 00:00:00', N'Friday, August 04 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-08-01 00:00:00', N'August 2017', 216, N'Day 216', 35, N'Day 35', 4, N'Day 4', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-08-05 00:00:00', N'Saturday, August 05 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-08-01 00:00:00', N'August 2017', 217, N'Day 217', 36, N'Day 36', 5, N'Day 5', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-08-06 00:00:00', N'Sunday, August 06 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-08-01 00:00:00', N'August 2017', 218, N'Day 218', 37, N'Day 37', 6, N'Day 6', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-08-07 00:00:00', N'Monday, August 07 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-08-01 00:00:00', N'August 2017', 219, N'Day 219', 38, N'Day 38', 7, N'Day 7', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-08-08 00:00:00', N'Tuesday, August 08 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-08-01 00:00:00', N'August 2017', 220, N'Day 220', 39, N'Day 39', 8, N'Day 8', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-08-09 00:00:00', N'Wednesday, August 09 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-08-01 00:00:00', N'August 2017', 221, N'Day 221', 40, N'Day 40', 9, N'Day 9', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-08-10 00:00:00', N'Thursday, August 10 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-08-01 00:00:00', N'August 2017', 222, N'Day 222', 41, N'Day 41', 10, N'Day 10', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-08-11 00:00:00', N'Friday, August 11 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-08-01 00:00:00', N'August 2017', 223, N'Day 223', 42, N'Day 42', 11, N'Day 11', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-08-12 00:00:00', N'Saturday, August 12 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-08-01 00:00:00', N'August 2017', 224, N'Day 224', 43, N'Day 43', 12, N'Day 12', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-08-13 00:00:00', N'Sunday, August 13 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-08-01 00:00:00', N'August 2017', 225, N'Day 225', 44, N'Day 44', 13, N'Day 13', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-08-14 00:00:00', N'Monday, August 14 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-08-01 00:00:00', N'August 2017', 226, N'Day 226', 45, N'Day 45', 14, N'Day 14', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-08-15 00:00:00', N'Tuesday, August 15 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-08-01 00:00:00', N'August 2017', 227, N'Day 227', 46, N'Day 46', 15, N'Day 15', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-08-16 00:00:00', N'Wednesday, August 16 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-08-01 00:00:00', N'August 2017', 228, N'Day 228', 47, N'Day 47', 16, N'Day 16', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-08-17 00:00:00', N'Thursday, August 17 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-08-01 00:00:00', N'August 2017', 229, N'Day 229', 48, N'Day 48', 17, N'Day 17', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-08-18 00:00:00', N'Friday, August 18 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-08-01 00:00:00', N'August 2017', 230, N'Day 230', 49, N'Day 49', 18, N'Day 18', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-08-19 00:00:00', N'Saturday, August 19 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-08-01 00:00:00', N'August 2017', 231, N'Day 231', 50, N'Day 50', 19, N'Day 19', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-08-20 00:00:00', N'Sunday, August 20 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-08-01 00:00:00', N'August 2017', 232, N'Day 232', 51, N'Day 51', 20, N'Day 20', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-08-21 00:00:00', N'Monday, August 21 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-08-01 00:00:00', N'August 2017', 233, N'Day 233', 52, N'Day 52', 21, N'Day 21', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-08-22 00:00:00', N'Tuesday, August 22 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-08-01 00:00:00', N'August 2017', 234, N'Day 234', 53, N'Day 53', 22, N'Day 22', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-08-23 00:00:00', N'Wednesday, August 23 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-08-01 00:00:00', N'August 2017', 235, N'Day 235', 54, N'Day 54', 23, N'Day 23', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-08-24 00:00:00', N'Thursday, August 24 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-08-01 00:00:00', N'August 2017', 236, N'Day 236', 55, N'Day 55', 24, N'Day 24', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-08-25 00:00:00', N'Friday, August 25 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-08-01 00:00:00', N'August 2017', 237, N'Day 237', 56, N'Day 56', 25, N'Day 25', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-08-26 00:00:00', N'Saturday, August 26 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-08-01 00:00:00', N'August 2017', 238, N'Day 238', 57, N'Day 57', 26, N'Day 26', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-08-27 00:00:00', N'Sunday, August 27 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-08-01 00:00:00', N'August 2017', 239, N'Day 239', 58, N'Day 58', 27, N'Day 27', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-08-28 00:00:00', N'Monday, August 28 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-08-01 00:00:00', N'August 2017', 240, N'Day 240', 59, N'Day 59', 28, N'Day 28', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-08-29 00:00:00', N'Tuesday, August 29 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-08-01 00:00:00', N'August 2017', 241, N'Day 241', 60, N'Day 60', 29, N'Day 29', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-08-30 00:00:00', N'Wednesday, August 30 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-08-01 00:00:00', N'August 2017', 242, N'Day 242', 61, N'Day 61', 30, N'Day 30', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-08-31 00:00:00', N'Thursday, August 31 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-08-01 00:00:00', N'August 2017', 243, N'Day 243', 62, N'Day 62', 31, N'Day 31', 8, N'Month 8', 2, N'Month 2', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-09-01 00:00:00', N'Friday, September 01 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-09-01 00:00:00', N'September 2017', 244, N'Day 244', 63, N'Day 63', 1, N'Day 1', 9, N'Month 9', 3, N'Month 3', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-09-02 00:00:00', N'Saturday, September 02 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-09-01 00:00:00', N'September 2017', 245, N'Day 245', 64, N'Day 64', 2, N'Day 2', 9, N'Month 9', 3, N'Month 3', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-09-03 00:00:00', N'Sunday, September 03 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-09-01 00:00:00', N'September 2017', 246, N'Day 246', 65, N'Day 65', 3, N'Day 3', 9, N'Month 9', 3, N'Month 3', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-09-04 00:00:00', N'Monday, September 04 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-09-01 00:00:00', N'September 2017', 247, N'Day 247', 66, N'Day 66', 4, N'Day 4', 9, N'Month 9', 3, N'Month 3', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-09-05 00:00:00', N'Tuesday, September 05 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-09-01 00:00:00', N'September 2017', 248, N'Day 248', 67, N'Day 67', 5, N'Day 5', 9, N'Month 9', 3, N'Month 3', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-09-06 00:00:00', N'Wednesday, September 06 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-09-01 00:00:00', N'September 2017', 249, N'Day 249', 68, N'Day 68', 6, N'Day 6', 9, N'Month 9', 3, N'Month 3', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-09-07 00:00:00', N'Thursday, September 07 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-09-01 00:00:00', N'September 2017', 250, N'Day 250', 69, N'Day 69', 7, N'Day 7', 9, N'Month 9', 3, N'Month 3', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-09-08 00:00:00', N'Friday, September 08 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-09-01 00:00:00', N'September 2017', 251, N'Day 251', 70, N'Day 70', 8, N'Day 8', 9, N'Month 9', 3, N'Month 3', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-09-09 00:00:00', N'Saturday, September 09 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-09-01 00:00:00', N'September 2017', 252, N'Day 252', 71, N'Day 71', 9, N'Day 9', 9, N'Month 9', 3, N'Month 3', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-09-10 00:00:00', N'Sunday, September 10 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-09-01 00:00:00', N'September 2017', 253, N'Day 253', 72, N'Day 72', 10, N'Day 10', 9, N'Month 9', 3, N'Month 3', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-09-11 00:00:00', N'Monday, September 11 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-09-01 00:00:00', N'September 2017', 254, N'Day 254', 73, N'Day 73', 11, N'Day 11', 9, N'Month 9', 3, N'Month 3', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-09-12 00:00:00', N'Tuesday, September 12 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-09-01 00:00:00', N'September 2017', 255, N'Day 255', 74, N'Day 74', 12, N'Day 12', 9, N'Month 9', 3, N'Month 3', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-09-13 00:00:00', N'Wednesday, September 13 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-09-01 00:00:00', N'September 2017', 256, N'Day 256', 75, N'Day 75', 13, N'Day 13', 9, N'Month 9', 3, N'Month 3', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-09-14 00:00:00', N'Thursday, September 14 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-09-01 00:00:00', N'September 2017', 257, N'Day 257', 76, N'Day 76', 14, N'Day 14', 9, N'Month 9', 3, N'Month 3', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-09-15 00:00:00', N'Friday, September 15 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-09-01 00:00:00', N'September 2017', 258, N'Day 258', 77, N'Day 77', 15, N'Day 15', 9, N'Month 9', 3, N'Month 3', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-09-16 00:00:00', N'Saturday, September 16 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-09-01 00:00:00', N'September 2017', 259, N'Day 259', 78, N'Day 78', 16, N'Day 16', 9, N'Month 9', 3, N'Month 3', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-09-17 00:00:00', N'Sunday, September 17 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-09-01 00:00:00', N'September 2017', 260, N'Day 260', 79, N'Day 79', 17, N'Day 17', 9, N'Month 9', 3, N'Month 3', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-09-18 00:00:00', N'Monday, September 18 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-09-01 00:00:00', N'September 2017', 261, N'Day 261', 80, N'Day 80', 18, N'Day 18', 9, N'Month 9', 3, N'Month 3', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-09-19 00:00:00', N'Tuesday, September 19 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-09-01 00:00:00', N'September 2017', 262, N'Day 262', 81, N'Day 81', 19, N'Day 19', 9, N'Month 9', 3, N'Month 3', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-09-20 00:00:00', N'Wednesday, September 20 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-09-01 00:00:00', N'September 2017', 263, N'Day 263', 82, N'Day 82', 20, N'Day 20', 9, N'Month 9', 3, N'Month 3', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-09-21 00:00:00', N'Thursday, September 21 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-09-01 00:00:00', N'September 2017', 264, N'Day 264', 83, N'Day 83', 21, N'Day 21', 9, N'Month 9', 3, N'Month 3', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-09-22 00:00:00', N'Friday, September 22 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-09-01 00:00:00', N'September 2017', 265, N'Day 265', 84, N'Day 84', 22, N'Day 22', 9, N'Month 9', 3, N'Month 3', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-09-23 00:00:00', N'Saturday, September 23 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-09-01 00:00:00', N'September 2017', 266, N'Day 266', 85, N'Day 85', 23, N'Day 23', 9, N'Month 9', 3, N'Month 3', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-09-24 00:00:00', N'Sunday, September 24 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-09-01 00:00:00', N'September 2017', 267, N'Day 267', 86, N'Day 86', 24, N'Day 24', 9, N'Month 9', 3, N'Month 3', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-09-25 00:00:00', N'Monday, September 25 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-09-01 00:00:00', N'September 2017', 268, N'Day 268', 87, N'Day 87', 25, N'Day 25', 9, N'Month 9', 3, N'Month 3', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-09-26 00:00:00', N'Tuesday, September 26 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-09-01 00:00:00', N'September 2017', 269, N'Day 269', 88, N'Day 88', 26, N'Day 26', 9, N'Month 9', 3, N'Month 3', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-09-27 00:00:00', N'Wednesday, September 27 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-09-01 00:00:00', N'September 2017', 270, N'Day 270', 89, N'Day 89', 27, N'Day 27', 9, N'Month 9', 3, N'Month 3', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-09-28 00:00:00', N'Thursday, September 28 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-09-01 00:00:00', N'September 2017', 271, N'Day 271', 90, N'Day 90', 28, N'Day 28', 9, N'Month 9', 3, N'Month 3', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-09-29 00:00:00', N'Friday, September 29 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-09-01 00:00:00', N'September 2017', 272, N'Day 272', 91, N'Day 91', 29, N'Day 29', 9, N'Month 9', 3, N'Month 3', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-09-30 00:00:00', N'Saturday, September 30 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-07-01 00:00:00', N'Quarter 3, 2017', N'2017-09-01 00:00:00', N'September 2017', 273, N'Day 273', 92, N'Day 92', 30, N'Day 30', 9, N'Month 9', 3, N'Month 3', 3, N'Quarter 3')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-10-01 00:00:00', N'Sunday, October 01 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-10-01 00:00:00', N'October 2017', 274, N'Day 274', 1, N'Day 1', 1, N'Day 1', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-10-02 00:00:00', N'Monday, October 02 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-10-01 00:00:00', N'October 2017', 275, N'Day 275', 2, N'Day 2', 2, N'Day 2', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-10-03 00:00:00', N'Tuesday, October 03 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-10-01 00:00:00', N'October 2017', 276, N'Day 276', 3, N'Day 3', 3, N'Day 3', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-10-04 00:00:00', N'Wednesday, October 04 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-10-01 00:00:00', N'October 2017', 277, N'Day 277', 4, N'Day 4', 4, N'Day 4', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-10-05 00:00:00', N'Thursday, October 05 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-10-01 00:00:00', N'October 2017', 278, N'Day 278', 5, N'Day 5', 5, N'Day 5', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-10-06 00:00:00', N'Friday, October 06 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-10-01 00:00:00', N'October 2017', 279, N'Day 279', 6, N'Day 6', 6, N'Day 6', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-10-07 00:00:00', N'Saturday, October 07 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-10-01 00:00:00', N'October 2017', 280, N'Day 280', 7, N'Day 7', 7, N'Day 7', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-10-08 00:00:00', N'Sunday, October 08 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-10-01 00:00:00', N'October 2017', 281, N'Day 281', 8, N'Day 8', 8, N'Day 8', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-10-09 00:00:00', N'Monday, October 09 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-10-01 00:00:00', N'October 2017', 282, N'Day 282', 9, N'Day 9', 9, N'Day 9', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-10-10 00:00:00', N'Tuesday, October 10 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-10-01 00:00:00', N'October 2017', 283, N'Day 283', 10, N'Day 10', 10, N'Day 10', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-10-11 00:00:00', N'Wednesday, October 11 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-10-01 00:00:00', N'October 2017', 284, N'Day 284', 11, N'Day 11', 11, N'Day 11', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-10-12 00:00:00', N'Thursday, October 12 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-10-01 00:00:00', N'October 2017', 285, N'Day 285', 12, N'Day 12', 12, N'Day 12', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-10-13 00:00:00', N'Friday, October 13 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-10-01 00:00:00', N'October 2017', 286, N'Day 286', 13, N'Day 13', 13, N'Day 13', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-10-14 00:00:00', N'Saturday, October 14 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-10-01 00:00:00', N'October 2017', 287, N'Day 287', 14, N'Day 14', 14, N'Day 14', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-10-15 00:00:00', N'Sunday, October 15 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-10-01 00:00:00', N'October 2017', 288, N'Day 288', 15, N'Day 15', 15, N'Day 15', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-10-16 00:00:00', N'Monday, October 16 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-10-01 00:00:00', N'October 2017', 289, N'Day 289', 16, N'Day 16', 16, N'Day 16', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-10-17 00:00:00', N'Tuesday, October 17 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-10-01 00:00:00', N'October 2017', 290, N'Day 290', 17, N'Day 17', 17, N'Day 17', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-10-18 00:00:00', N'Wednesday, October 18 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-10-01 00:00:00', N'October 2017', 291, N'Day 291', 18, N'Day 18', 18, N'Day 18', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-10-19 00:00:00', N'Thursday, October 19 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-10-01 00:00:00', N'October 2017', 292, N'Day 292', 19, N'Day 19', 19, N'Day 19', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-10-20 00:00:00', N'Friday, October 20 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-10-01 00:00:00', N'October 2017', 293, N'Day 293', 20, N'Day 20', 20, N'Day 20', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-10-21 00:00:00', N'Saturday, October 21 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-10-01 00:00:00', N'October 2017', 294, N'Day 294', 21, N'Day 21', 21, N'Day 21', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-10-22 00:00:00', N'Sunday, October 22 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-10-01 00:00:00', N'October 2017', 295, N'Day 295', 22, N'Day 22', 22, N'Day 22', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-10-23 00:00:00', N'Monday, October 23 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-10-01 00:00:00', N'October 2017', 296, N'Day 296', 23, N'Day 23', 23, N'Day 23', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-10-24 00:00:00', N'Tuesday, October 24 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-10-01 00:00:00', N'October 2017', 297, N'Day 297', 24, N'Day 24', 24, N'Day 24', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-10-25 00:00:00', N'Wednesday, October 25 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-10-01 00:00:00', N'October 2017', 298, N'Day 298', 25, N'Day 25', 25, N'Day 25', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-10-26 00:00:00', N'Thursday, October 26 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-10-01 00:00:00', N'October 2017', 299, N'Day 299', 26, N'Day 26', 26, N'Day 26', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-10-27 00:00:00', N'Friday, October 27 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-10-01 00:00:00', N'October 2017', 300, N'Day 300', 27, N'Day 27', 27, N'Day 27', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-10-28 00:00:00', N'Saturday, October 28 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-10-01 00:00:00', N'October 2017', 301, N'Day 301', 28, N'Day 28', 28, N'Day 28', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-10-29 00:00:00', N'Sunday, October 29 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-10-01 00:00:00', N'October 2017', 302, N'Day 302', 29, N'Day 29', 29, N'Day 29', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-10-30 00:00:00', N'Monday, October 30 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-10-01 00:00:00', N'October 2017', 303, N'Day 303', 30, N'Day 30', 30, N'Day 30', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-10-31 00:00:00', N'Tuesday, October 31 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-10-01 00:00:00', N'October 2017', 304, N'Day 304', 31, N'Day 31', 31, N'Day 31', 10, N'Month 10', 1, N'Month 1', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-11-01 00:00:00', N'Wednesday, November 01 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-11-01 00:00:00', N'November 2017', 305, N'Day 305', 32, N'Day 32', 1, N'Day 1', 11, N'Month 11', 2, N'Month 2', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-11-02 00:00:00', N'Thursday, November 02 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-11-01 00:00:00', N'November 2017', 306, N'Day 306', 33, N'Day 33', 2, N'Day 2', 11, N'Month 11', 2, N'Month 2', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-11-03 00:00:00', N'Friday, November 03 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-11-01 00:00:00', N'November 2017', 307, N'Day 307', 34, N'Day 34', 3, N'Day 3', 11, N'Month 11', 2, N'Month 2', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-11-04 00:00:00', N'Saturday, November 04 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-11-01 00:00:00', N'November 2017', 308, N'Day 308', 35, N'Day 35', 4, N'Day 4', 11, N'Month 11', 2, N'Month 2', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-11-05 00:00:00', N'Sunday, November 05 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-11-01 00:00:00', N'November 2017', 309, N'Day 309', 36, N'Day 36', 5, N'Day 5', 11, N'Month 11', 2, N'Month 2', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-11-06 00:00:00', N'Monday, November 06 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-11-01 00:00:00', N'November 2017', 310, N'Day 310', 37, N'Day 37', 6, N'Day 6', 11, N'Month 11', 2, N'Month 2', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-11-07 00:00:00', N'Tuesday, November 07 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-11-01 00:00:00', N'November 2017', 311, N'Day 311', 38, N'Day 38', 7, N'Day 7', 11, N'Month 11', 2, N'Month 2', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-11-08 00:00:00', N'Wednesday, November 08 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-11-01 00:00:00', N'November 2017', 312, N'Day 312', 39, N'Day 39', 8, N'Day 8', 11, N'Month 11', 2, N'Month 2', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-11-09 00:00:00', N'Thursday, November 09 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-11-01 00:00:00', N'November 2017', 313, N'Day 313', 40, N'Day 40', 9, N'Day 9', 11, N'Month 11', 2, N'Month 2', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-11-10 00:00:00', N'Friday, November 10 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-11-01 00:00:00', N'November 2017', 314, N'Day 314', 41, N'Day 41', 10, N'Day 10', 11, N'Month 11', 2, N'Month 2', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-11-11 00:00:00', N'Saturday, November 11 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-11-01 00:00:00', N'November 2017', 315, N'Day 315', 42, N'Day 42', 11, N'Day 11', 11, N'Month 11', 2, N'Month 2', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-11-12 00:00:00', N'Sunday, November 12 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-11-01 00:00:00', N'November 2017', 316, N'Day 316', 43, N'Day 43', 12, N'Day 12', 11, N'Month 11', 2, N'Month 2', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-11-13 00:00:00', N'Monday, November 13 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-11-01 00:00:00', N'November 2017', 317, N'Day 317', 44, N'Day 44', 13, N'Day 13', 11, N'Month 11', 2, N'Month 2', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-11-14 00:00:00', N'Tuesday, November 14 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-11-01 00:00:00', N'November 2017', 318, N'Day 318', 45, N'Day 45', 14, N'Day 14', 11, N'Month 11', 2, N'Month 2', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-11-15 00:00:00', N'Wednesday, November 15 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-11-01 00:00:00', N'November 2017', 319, N'Day 319', 46, N'Day 46', 15, N'Day 15', 11, N'Month 11', 2, N'Month 2', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-11-16 00:00:00', N'Thursday, November 16 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-11-01 00:00:00', N'November 2017', 320, N'Day 320', 47, N'Day 47', 16, N'Day 16', 11, N'Month 11', 2, N'Month 2', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-11-17 00:00:00', N'Friday, November 17 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-11-01 00:00:00', N'November 2017', 321, N'Day 321', 48, N'Day 48', 17, N'Day 17', 11, N'Month 11', 2, N'Month 2', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-11-18 00:00:00', N'Saturday, November 18 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-11-01 00:00:00', N'November 2017', 322, N'Day 322', 49, N'Day 49', 18, N'Day 18', 11, N'Month 11', 2, N'Month 2', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-11-19 00:00:00', N'Sunday, November 19 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-11-01 00:00:00', N'November 2017', 323, N'Day 323', 50, N'Day 50', 19, N'Day 19', 11, N'Month 11', 2, N'Month 2', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-11-20 00:00:00', N'Monday, November 20 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-11-01 00:00:00', N'November 2017', 324, N'Day 324', 51, N'Day 51', 20, N'Day 20', 11, N'Month 11', 2, N'Month 2', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-11-21 00:00:00', N'Tuesday, November 21 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-11-01 00:00:00', N'November 2017', 325, N'Day 325', 52, N'Day 52', 21, N'Day 21', 11, N'Month 11', 2, N'Month 2', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-11-22 00:00:00', N'Wednesday, November 22 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-11-01 00:00:00', N'November 2017', 326, N'Day 326', 53, N'Day 53', 22, N'Day 22', 11, N'Month 11', 2, N'Month 2', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-11-23 00:00:00', N'Thursday, November 23 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-11-01 00:00:00', N'November 2017', 327, N'Day 327', 54, N'Day 54', 23, N'Day 23', 11, N'Month 11', 2, N'Month 2', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-11-24 00:00:00', N'Friday, November 24 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-11-01 00:00:00', N'November 2017', 328, N'Day 328', 55, N'Day 55', 24, N'Day 24', 11, N'Month 11', 2, N'Month 2', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-11-25 00:00:00', N'Saturday, November 25 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-11-01 00:00:00', N'November 2017', 329, N'Day 329', 56, N'Day 56', 25, N'Day 25', 11, N'Month 11', 2, N'Month 2', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-11-26 00:00:00', N'Sunday, November 26 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-11-01 00:00:00', N'November 2017', 330, N'Day 330', 57, N'Day 57', 26, N'Day 26', 11, N'Month 11', 2, N'Month 2', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-11-27 00:00:00', N'Monday, November 27 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-11-01 00:00:00', N'November 2017', 331, N'Day 331', 58, N'Day 58', 27, N'Day 27', 11, N'Month 11', 2, N'Month 2', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-11-28 00:00:00', N'Tuesday, November 28 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-11-01 00:00:00', N'November 2017', 332, N'Day 332', 59, N'Day 59', 28, N'Day 28', 11, N'Month 11', 2, N'Month 2', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-11-29 00:00:00', N'Wednesday, November 29 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-11-01 00:00:00', N'November 2017', 333, N'Day 333', 60, N'Day 60', 29, N'Day 29', 11, N'Month 11', 2, N'Month 2', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-11-30 00:00:00', N'Thursday, November 30 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-11-01 00:00:00', N'November 2017', 334, N'Day 334', 61, N'Day 61', 30, N'Day 30', 11, N'Month 11', 2, N'Month 2', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-12-01 00:00:00', N'Friday, December 01 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-12-01 00:00:00', N'December 2017', 335, N'Day 335', 62, N'Day 62', 1, N'Day 1', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-12-02 00:00:00', N'Saturday, December 02 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-12-01 00:00:00', N'December 2017', 336, N'Day 336', 63, N'Day 63', 2, N'Day 2', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-12-03 00:00:00', N'Sunday, December 03 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-12-01 00:00:00', N'December 2017', 337, N'Day 337', 64, N'Day 64', 3, N'Day 3', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-12-04 00:00:00', N'Monday, December 04 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-12-01 00:00:00', N'December 2017', 338, N'Day 338', 65, N'Day 65', 4, N'Day 4', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-12-05 00:00:00', N'Tuesday, December 05 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-12-01 00:00:00', N'December 2017', 339, N'Day 339', 66, N'Day 66', 5, N'Day 5', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-12-06 00:00:00', N'Wednesday, December 06 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-12-01 00:00:00', N'December 2017', 340, N'Day 340', 67, N'Day 67', 6, N'Day 6', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-12-07 00:00:00', N'Thursday, December 07 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-12-01 00:00:00', N'December 2017', 341, N'Day 341', 68, N'Day 68', 7, N'Day 7', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-12-08 00:00:00', N'Friday, December 08 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-12-01 00:00:00', N'December 2017', 342, N'Day 342', 69, N'Day 69', 8, N'Day 8', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-12-09 00:00:00', N'Saturday, December 09 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-12-01 00:00:00', N'December 2017', 343, N'Day 343', 70, N'Day 70', 9, N'Day 9', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-12-10 00:00:00', N'Sunday, December 10 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-12-01 00:00:00', N'December 2017', 344, N'Day 344', 71, N'Day 71', 10, N'Day 10', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-12-11 00:00:00', N'Monday, December 11 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-12-01 00:00:00', N'December 2017', 345, N'Day 345', 72, N'Day 72', 11, N'Day 11', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-12-12 00:00:00', N'Tuesday, December 12 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-12-01 00:00:00', N'December 2017', 346, N'Day 346', 73, N'Day 73', 12, N'Day 12', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-12-13 00:00:00', N'Wednesday, December 13 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-12-01 00:00:00', N'December 2017', 347, N'Day 347', 74, N'Day 74', 13, N'Day 13', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-12-14 00:00:00', N'Thursday, December 14 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-12-01 00:00:00', N'December 2017', 348, N'Day 348', 75, N'Day 75', 14, N'Day 14', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-12-15 00:00:00', N'Friday, December 15 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-12-01 00:00:00', N'December 2017', 349, N'Day 349', 76, N'Day 76', 15, N'Day 15', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-12-16 00:00:00', N'Saturday, December 16 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-12-01 00:00:00', N'December 2017', 350, N'Day 350', 77, N'Day 77', 16, N'Day 16', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-12-17 00:00:00', N'Sunday, December 17 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-12-01 00:00:00', N'December 2017', 351, N'Day 351', 78, N'Day 78', 17, N'Day 17', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-12-18 00:00:00', N'Monday, December 18 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-12-01 00:00:00', N'December 2017', 352, N'Day 352', 79, N'Day 79', 18, N'Day 18', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-12-19 00:00:00', N'Tuesday, December 19 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-12-01 00:00:00', N'December 2017', 353, N'Day 353', 80, N'Day 80', 19, N'Day 19', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-12-20 00:00:00', N'Wednesday, December 20 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-12-01 00:00:00', N'December 2017', 354, N'Day 354', 81, N'Day 81', 20, N'Day 20', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-12-21 00:00:00', N'Thursday, December 21 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-12-01 00:00:00', N'December 2017', 355, N'Day 355', 82, N'Day 82', 21, N'Day 21', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-12-22 00:00:00', N'Friday, December 22 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-12-01 00:00:00', N'December 2017', 356, N'Day 356', 83, N'Day 83', 22, N'Day 22', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-12-23 00:00:00', N'Saturday, December 23 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-12-01 00:00:00', N'December 2017', 357, N'Day 357', 84, N'Day 84', 23, N'Day 23', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-12-24 00:00:00', N'Sunday, December 24 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-12-01 00:00:00', N'December 2017', 358, N'Day 358', 85, N'Day 85', 24, N'Day 24', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-12-25 00:00:00', N'Monday, December 25 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-12-01 00:00:00', N'December 2017', 359, N'Day 359', 86, N'Day 86', 25, N'Day 25', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-12-26 00:00:00', N'Tuesday, December 26 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-12-01 00:00:00', N'December 2017', 360, N'Day 360', 87, N'Day 87', 26, N'Day 26', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-12-27 00:00:00', N'Wednesday, December 27 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-12-01 00:00:00', N'December 2017', 361, N'Day 361', 88, N'Day 88', 27, N'Day 27', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-12-28 00:00:00', N'Thursday, December 28 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-12-01 00:00:00', N'December 2017', 362, N'Day 362', 89, N'Day 89', 28, N'Day 28', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-12-29 00:00:00', N'Friday, December 29 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-12-01 00:00:00', N'December 2017', 363, N'Day 363', 90, N'Day 90', 29, N'Day 29', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-12-30 00:00:00', N'Saturday, December 30 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-12-01 00:00:00', N'December 2017', 364, N'Day 364', 91, N'Day 91', 30, N'Day 30', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
INSERT INTO [dbo].[Date] ([Date_Key], [Date_Name], [Year], [Year_Name], [Quarter], [Quarter_Name], [Month], [Month_Name], [Day_Of_Year], [Day_Of_Year_Name], [Day_Of_Quarter], [Day_Of_Quarter_Name], [Day_Of_Month], [Day_Of_Month_Name], [Month_Of_Year], [Month_Of_Year_Name], [Month_Of_Quarter], [Month_Of_Quarter_Name], [Quarter_Of_Year], [Quarter_Of_Year_Name]) VALUES (N'2017-12-31 00:00:00', N'Sunday, December 31 2017', N'2017-01-01 00:00:00', N'Calendar 2017', N'2017-10-01 00:00:00', N'Quarter 4, 2017', N'2017-12-01 00:00:00', N'December 2017', 365, N'Day 365', 92, N'Day 92', 31, N'Day 31', 12, N'Month 12', 3, N'Month 3', 4, N'Quarter 4')
